cdbs (0.4.132) unstable; urgency=medium

  * Improve gnome.mk:
    + Fix gnome.mk to not fail on missing builddir.
      Closes: Bug#824083. Thanks to Helmut Grohne.
    + Simplify cleanup.
  * Improve snippets ant-vars.mk ant.mk:
    + Avoid subshells.
    + Support overriding DEB_ANT_ARGS after (not only before) snippet
      inclusion.
  * Improve makefile.mk:
    + Use cdbs_warn.
  * Improve pd.mk:
    + Use relative paths.
    + Merge find commands.
    + Use "find -execdir '{}' ';'" (not less safe and failure-ignoring
      "find -exec {} +").
  * Update copyright info:
    + Extend copyright for main author to cover current year.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 12 May 2016 17:06:01 +0200

cdbs (0.4.131) unstable; urgency=medium

  [ Jonas Smedegaard ]
  * Modernize python-distutils.mk installdir handling (since supported
    even in oldstable now):
    + Use --install-layout=deb (and drop --prefix=/usr) by default.
    + Use --install-lib option (not --install-purelib/--install-platlib,
      and only when DEB_PYTHON_DISTUTILS_INSTALLDIR_SKEL is set).
    + Have cdbs_expand_python_distutils_installdir provide
      .../dist-packages dir (not .../site-packages) by default, to try
      cope with packages relying on it for non-skel use.
    Closes: bug#565973. Thanks to Matthias Klose and Piotr Ożarowski.
  * Fix error message to talk about multiple python implementations (not
    packaging systems nor too specific ones).
  * Tighten cdbs_make_curflavor resolving, to simplify its use.
  * Fix allow early override of python autotools variable.
  * Improve copyright-check:
    + Support extending (not only replacing) exceptions.
    + Support extracting metadata from select binary files.
  * Introduce new variables:
    + DEB_CONFIGURE_SCRIPT_ENV_PYTHON
    + DEB_COPYRIGHT_CHECK_IGNORE_EXTS
    + DEB_COPYRIGHT_CHECK_IGNORE_PATHS
    + DEB_COPYRIGHT_EXTRACT_EXTS
    + DEB_COPYRIGHT_EXTRACT_PATHS_EXIF
    + DEB_COPYRIGHT_EXTRACT_PATHS_TTF
    + DEB_COPYRIGHT_EXTRACT_SUFFIX
    + cdbs_autotools_configure_env
    + cdbs_lc
    + cdbs_make_curpythonruntime
    + cdbs_uc
  * Rename variables:
    + cdbs_python_pysupport → cdbs_pythonsystem_pysupport
    + cdbs_python_pycentral → cdbs_pythonsystem_pycentral
    + cdbs_python2 → cdbs_pythonsystem_python2
    + cdbs_python3 → cdbs_pythonsystem_python3
    + cdbs_python2_builddeps → cdbs_python_builddeps_python2
    + cdbs_python3_builddeps → cdbs_python_builddeps_python3
    Former ones above dropped without deprecation (unused outside cdbs).
  * Deprecate variables:
    + cdbs_expand_python_distutils_installdir
  * Drop unmaintained and unused snippets:
    + docbookxml.mk
    + hbuild.mk
    + kde.mk
  * Support xz compressed upstream tarballs.
    Closes: Bug#700321. Thanks to Vasudev Kamath.
  * Relax to build-depend unversioned on devscripts: Needed version is
    satisfied even in oldstable.
  * Update Vcs-* URLs:
    + Use https protocol.
    + Use cgit browser.
    + Fix path.
  * Declare compliance with Debian Policy 3.9.8.
  * Have debhelper.mk snippet resolve unversioned build-dependency for
    compat level 9.
  * Fix have debhelper.mk invoke dh_systemd_enable before
    dh_installinit.
    Closes: Bug#811555. Thanks to Dan Nicholson.
  * Update copyright info:
    + Extend coverage for main author to include recent years.
    + Drop Copyright field from header section.
    + Extend copyright for main author to cover recent years.
    + Use License shortname X11 (not Expat̃X with X exception).
    + Use License shortnames FSFUL FSFULLR (not GAP).
    + Update Files sections for autotools.
    + Relicense (where permitted) to GPL-3+.
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
  * Update autotools (with autoreconf -f -i).
  * Add lintian override regarding license in License-Reference field.
    See bug#786450.
  * Resolve (if not overridden) and globally export SOURCE_DATE_EPOCH.
    Closes: Bug#794241. Thanks to Maria Valentina Marin.
  * Have debhelper.mk call dh_strip_nondeterminism if available.
    Closes: Bug#764478. Thanks to Holger Levsen.
  * Drop tests debhelper4 debhelper5 tied to archaic debhelper compat
    levels no longer supported.
    Closes: Bug#805315. Thanks to Niels Thykier.
  * Build-depend on default-jdk-headless (and on default-jdk only as
    fallback to ease backporting).

  [ Vasudev Kamath ]
  * Add myself to Uploaders

  [ IOhannes m zmölnig ]
  * class/pd: only run commands on *.pd_linux files

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 11 May 2016 16:18:25 +0200

cdbs (0.4.130) unstable; urgency=medium

  * Fix quoting of compiler flags in perlmodule-vars.mk.
    Closes: bug#781076. Thanks to Niko Tyni.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 28 Mar 2015 15:20:37 +0100

cdbs (0.4.129) unstable; urgency=medium

  * Fix quoting of compiler flags in perl-makemaker-vars.mk.
    Closes: bug#780592.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 16 Mar 2015 14:14:37 +0100

cdbs (0.4.128) unstable; urgency=medium

  * Fix resolve compiler flags in perl snippets:
    + Resolve perl-specific ccflags and cppflags (not only lddlflags),
      as variables cdbs_perl_ccflags cdbs_perl_cppflags
      cdbs_perl_lddlflags.
      Deprecate now unused variable cdbs_perl_makemaker_lddlflags.
    + Have perl-build-vars.mk snippet apply as lddlflags (not ldflags).
    + Have perl-build-vars.mk snippet include langcore.mk to properly
      resolve default compiler flags.
    + Apply perl-specific compiler flags in all perl snippets (not only
      perl-makemaker.mk).
    + Append (not prepend) perl-specific compiler flags to default (or
      locally overridden) compiler flags.
    Closes: bug#770767. Thanks to Niko Tyni.
  * Fix support control fields case-insensitively.
    Closes: bug#772429. Thanks to Guillem Jover.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 06 Mar 2015 03:53:47 +0100

cdbs (0.4.127) unstable; urgency=medium

  * Fix use unversioned Python runtime for default flavor in
    python-distutils.mk and python-sugar.mk (see bug#377964).
  * Fix detect Module::Build::Tiny more aggressively in perl-build.mk.
  * Fix build MakeMaker-based Perl modules more verbosely. Introduce new
    variable DEB_MAKEMAKER_NORMAL_ARGS.
    Thanks to intrigeri.
  * Fix set LDFLAGS in perl-makemaker.mk.
  * Fix cdbs_set_nondefaultvars resolving to skip undefined variables.
  * Improve buildflags resolving in langcore.mk:
    + Drop obsolete hardcoded buildflags and variable DEB_OPT_FLAG:
      dpkg-buildflags now included with dpkg-dev even in oldstable.
    + Speedup resolving by calling dpkg-buildflags only once.
    + Fix pass only documented supported environment variables to
      dpkg-buildflags: Other DEB_* variables not safe to shell-quote.
  * Acknowledge NMU. Thanks to Felipe Sateler and Simon Ruderich.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 13 Oct 2014 15:19:50 +0200

cdbs (0.4.126+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Unbreak dpkg-buildflags call. Thanks to Simon Ruderich for the updated
    patch. Closes: bug#712729.

 -- Felipe Sateler <fsateler@debian.org>  Sat, 11 Oct 2014 01:41:44 -0300

cdbs (0.4.126) unstable; urgency=medium

  [ Jonas Smedegaard ]
  * Have debhelper.mk install CONTRIBUTORS and CREDITS as documentation
    files by default.
  * Fix preserve compiler flags set using DEB_* environment variables,
    in langcore.mk.
    Closes: bug#712729. Thanks to Simon Ruderich, Emilio Pozuelo Monfort
    and Markus.

  [ Charles Plessy ]
  * Corrected a typo in the VCS URL.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 21 Aug 2014 23:05:10 +0200

cdbs (0.4.125) unstable; urgency=high

  * Fix broken syntax in python-sugar.mk. Urgency=high as this affects
    packages getting auto-removed from testing.
    Closes: bug#750300, #750271, #750277. Thanks to David Suárez.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 23 Jun 2014 02:56:02 +0200

cdbs (0.4.124) unstable; urgency=medium

  * Have perl-build.mk resolve to build-depend on libmodule-build-perl
    if not using Build::Module::Tiny (perl 5.19.0 onwards won't provide
    it).

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 23 Jun 2014 01:29:27 +0200

cdbs (0.4.123) unstable; urgency=medium

  [ Jonas Smedegaard ]
  * Fix tighten cdbs version handling to avoid merging unversioned with
    complex versioned (e.g. including arch hints or fallbacks).
  * Fix always strip cdbs_expand_allvars (bogusly resolved versioned
    build-dependency on cdbs when python_module.mk was included).
  * Resolve tightened build-dependency on cdbs when autotools hints
    include comma (see autotools version hint change below).
  * Export AUTOMATED_TESTING=1 to build environment in Perl snippets, as
    recommended by Lancaster consensus.
  * Fix debhelper snippet to call dh_systemd_* after dh_install.
    Closes: bug#715504. Thanks to Michael Stapelberg.
  * Avoid expensive shell call in buildcore.mk deprecation warning loop.
  * Normalize warnings and errors:
    + Introduce new expansion variables cdbs_info cdbs_warn
      cdbs_warn_deprecated.
    + Include version in deprecation warnings.
  * Deprecate cdbs_python_selected_pyversions: Unused since 0.4.90.
  * Drop python-support integrity check: Leave that to python-support
    itself, and to Python team to agree on coherent Policy.
    Closes: bug#545373. Thanks to Ludovico Cavedon.
  * Fix double-word typo in comment.
  * Update copyright info:
    + Extend coverage.
    + Bump licensing to GPL-3+.
  * Bump to standards-version 3.9.5.
  * Fix use canonical Vcs-Git URL.

  [ IOhannes m zmölnig ]
  * Extend autotools version hints to support range (e.g. ",1.13" for
    versions up until 1.13) and unversioned (","): The latter needed for
    recent autotools packages provided only unversioned.
    Closes: bug#725950.

  [ Vasudev Kamath ]
  * Fix testsuite to expect files below /usr/lib/python*/dist-packages
    (not implementation-specific /usr/shared/pyshared/).
    Closes: bug#735412. Thanks to Martin Pitt.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 22 May 2014 15:55:17 +0200

cdbs (0.4.122) unstable; urgency=low

  * Update and improve references in comments to Perl Policy.
  * Export PERL_MM_USE_DEFAULT=1 in perl-makemaker.mk and perlmodule.mk
    to always be non-interactive.
  * Extend Perl snippets to also pass CPPFLAGS and LDFLAGS.
  * Use "--" long-options in perl-build snippet, to support
    Module::Build::Tiny.
    Closes: bug#714542. Thanks to Gregor Herrmann and Leon Timmermans.
  * Have perl-build.mk resolve build-dependency on
    libmodule-build-tiny-perl and recent cdbs when Module::Build::Tiny
    is used.
  * Have cmake.mk include LDFLAGS.
    Closes: bug#680959. Thanks to Felipe Sateler.
  * Relax clean rule to not require root.
    Closes: bug#568611. Thanks to Jonathan Nieder and Julien Cristau.
  * Improve cdbs version handling to sort and reduce all instances of
    cdbs instead of only hardcoded ones.
    Closes: 670262. Thanks to Felipe Sateler.
  * Drop obsolete support for Cpu: and System: hints in control.in:
    type-handling is no longer in Debian.
  * Have debhelper.mk call dh_systemd_enable and dh_systemd_start if
    available.
    Closes: bug#714195. Thanks to Laurent Bigonville.
  * Drop dependency on python-central or python-support for CDBS
    testsuite - i.e. only CDBS packaging itself, still supported in
    Python snippets.
    Closes: bug#616775. Thanks to Matthias Klose and Andrea Colangelo.
  * Include support for maintainer-mode in test/autotools.
  * Update autotools (with autoreconf -f -i).
  * Extend copyright coverage for autotools to include recent years.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Jul 2013 10:49:53 +0200

cdbs (0.4.121) unstable; urgency=low

  * Fix avoid bogus quotes when setting PERL_AUTOINSTALL for perl
    snippets.
    Really closes: bug#652274 (as intended in 0.4.103).
  * Bump standards-version to 3.9.4.
  * Update copyright file:
    + Fix use pseudo-comment to obey silly restrictions of copyright
      format 1.0.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 08 Apr 2013 21:48:55 +0200

cdbs (0.4.120) unstable; urgency=low

  * Fix set LDFLAGS in qmake.mk.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 23 Dec 2012 17:16:27 +0100

cdbs (0.4.119) unstable; urgency=low

  * Introduce DEB_COPYRIGHT_CHECK_MERGE_SAME_LICENSE in utils.mk, to use
    one Files section per license (not license + copyright holders
    combo). Thanks to Fabian Greffrath for the suggestion.
  * Tidy some license shortnames in utils.mk.
    Closes: bug#633794. Thanks to Julian Taylor.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 30 Nov 2012 14:02:58 +0100

cdbs (0.4.118) unstable; urgency=low

  * Set XDG_DATA_HOME during install in python-sugar.mk.
    Closes: bug#689407, #665023, #676040. Thanks to Lucas Nussbaum.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Oct 2012 13:16:42 +0200

cdbs (0.4.117) unstable; urgency=low

  * Have gnome.mk use xz compression by default.
    Closes: bug#683819. Thanks to Ansgar Burchardt.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 05 Aug 2012 10:38:47 +0200

cdbs (0.4.116) unstable; urgency=low

  * Simplify auto-resolved build-dependencies to be unversioned when
    satisfied in stable (Wheezy): Oldstable (Lenny) is no longer
    supported.  Versioning will now be dropped for cdbs << 0.4.89,
    python << 2.6.6, perl << 5.10.1 and debhelper << 8.
    Thanks to Paul Wise and Dominique Dumont.
  * Bump debhelper compatibility level to 8.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 07 Jul 2012 14:45:56 +0200

cdbs (0.4.115) unstable; urgency=high

  * Fix resolve default CXXFLAGS.
  * Set urgency=high as above one-line fix affects ability of other
    packages to reach release goal of enabling security hardening.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 22 Jun 2012 17:21:02 +0200

cdbs (0.4.114) unstable; urgency=low

  * Fix resolve default DEB_SUGAR_SOURCE_PKGBASE when DEB_SUGAR_BRANCHES
    does not include branch of current package.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 28 May 2012 19:51:37 +0200

cdbs (0.4.113) unstable; urgency=low

  * Ignore whitespace when comparing license file against system copy of
    GPL-2.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 28 May 2012 17:42:59 +0200

cdbs (0.4.112) unstable; urgency=low

  * Introduce DEB_UPSTREAM_TARBALL_DELIMITER and
    DEB_UPSTREAM_RECEIVED_EXTENSION for when upstream tarball is oddly
    named, e.g. to silence delimiter and add tar.gz for github.org.
  * Fix avoid resetting resolved compiler flag variables, for including
    defaults when setting flags explicitly. Example:
      CFLAGS = $(deb_cflags) -DSSL_EXPERIMENTAL
  * Extend cdbs_expand_branches with optional fallback main branch as
    5th argument.
  * Introduce DEB_SUGAR_PRIMARY_BRANCH in python-sugar.mk, to append a
    non-virtual primary branch to Sugar package lists when
    DEB_SUGAR_BRANCHES is unset.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 28 May 2012 15:26:08 +0200

cdbs (0.4.111) unstable; urgency=low

  * Fix invoke dpkg-shlibdeps (not only strip) in per-package dir in
    pd.mk.
    Closes: bug#661962. Thanks (again) to Felipe Sateler.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 18 Apr 2012 23:35:03 -0400

cdbs (0.4.110) unstable; urgency=low

  * Have cmake.mk by default include CPPFLAGS in CFLAGS and CXXFLAGS.
    Closes: bug#668820. Thanks to Simon Ruderich.
  * Use anonscm.debian.org for Vcs-Browser field.
  * Extend my copyright for Debian packaging.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 14 Apr 2012 13:40:38 -0400

cdbs (0.4.109) unstable; urgency=low

  * Fix use pkglibexecdir (not libexecdir) inside makefile snippets.
  * Update autotools (with autoreconf -f -i).

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 08 Mar 2012 20:30:52 +0100

cdbs (0.4.108) unstable; urgency=low

  * Fix override DEB_CONFIGURE_LIBEXECDIR during our own build (after
    rolling back libexecdir change our now modernized autotools is
    affected).
    Thanks to Jérémy Lal.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 08 Mar 2012 18:35:06 +0100

cdbs (0.4.107) unstable; urgency=low

  * Revert to set libexecdir to /usr/lib/$pkg (causes massive FTBFS).
    Closes: bug#663082. Reopens: bug#661983. Thanks to Michael Biebl.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 08 Mar 2012 13:50:28 +0100

cdbs (0.4.106) unstable; urgency=low

  * Fix set libexecdir to /usr/lib (not /usr/lib/$pkg) in
    autotools-vars.mk.
    Closes: bug#661983. Thanks to Rémi Denis-Courmont.
  * Fix strip PD libraries below per-package install dirs (only for
    single-binary-package below debian/tmp).
    Closes: Bug#661983. Thanks to Felipe Sateler.
  * Fix set CPPFLAGS (not bogus CPPLAGS) in langcore.mk.
    Closes: bug#651964. Thanks (again) to Simon Ruderich and Moritz
    Muehlenhoff.
  * Fix create cruft subdirs before using them in utils.mk. Bump
    resolved build-dependency on cdbs as cruft handling was completely
    broken previously.
  * Handle FFLAGS in langcore.mk.
  * Re-issue news about changes to compiler flags:
    + LDFLAGS was broken when previously announced (in 0.4.103).
    + FFLAGS in also handled now.
    + Advertise use of /usr/share/dpkg/buildflags.mk, now supported
      but explicitly required as it clashes with flags explicitly set or
      unset locally in rules files.
      Closes: bug#651966, #642950. Thanks to Simon Ruderich and Raphael
      Hertzog.
  * Fix Makefile.am to use pkglibexec_SCRIPTS and avoid libexecdir.
  * Update autotools (with autoreconf -f -i).
  * Update copyright file:
    + Fix double-indent copyright lines.
    + Extend copyright years for automade files.
    + Add copyright holders for Makefile.in files.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 08 Mar 2012 04:06:35 +0100

cdbs (0.4.105) unstable; urgency=low

  * Fix resolve buildflags in langcore.mk (cdbs_expand_nondefaultvar
    expansion never used fallback value).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 03 Mar 2012 01:45:43 +0100

cdbs (0.4.104) unstable; urgency=low

  [ Peter Eisentraut ]
  * Remove myself from Uploaders.

  [ Jonas Smedegaard ]
  * Remove copyright_newhints both in clean target and after succesful
    copyright check.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 02 Mar 2012 08:44:47 +0100

cdbs (0.4.103) unstable; urgency=low

  * Fix use "formatted text" (i.e. double-space-indent) for Copyright
    fields in copyright_hints.
  * Bump copyright file format to final version 1.0 in copyright_hints.
  * Always set (not extend) compiler flags.
    Closes: bug#523642, #651964. Thanks to Simon Ruderich and Moritz
    Muehlenhoff.
    Add NEWS entry.
  * Add Multi-Arch: foreign field to binary cdbs package.
    Closes: bug#658973. Thanks to Riku Voipio.
  * Fix export magic option to turn off auto-install of dependent Perl
    modules.
    Closes: bug#652274. Thanks to gregor herrmann.
  * Fix remove copyright_newhints in clean target (not immediately after
    copyright check).
    Closes: bug#625448. Thanks to Olivier Aubert.
  * Fix use scons --directory="$(DEB_SRCDIR)" (not DEB_BUILDDIR).
    Closes: bug#624663. Thanks to Jérémy Lal.
  * Bump standards-version to 3.9.3.
  * Bump copyright file format to 1.0.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 02 Mar 2012 06:51:17 +0100

cdbs (0.4.102) unstable; urgency=low

  * Fix invoke rmdir only when relevant in utils.mk upstream-cruft rule.
    Tighten resolved build-dependency to at least this working version.
  * Simplify upstream-cruft routine to always use
    DEB_UPSTREAM_CRUFT_BACKUPDIR (not optionally a suffix instead).

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 30 Jan 2012 19:53:56 +0100

cdbs (0.4.101) unstable; urgency=low

  * Improve upstream-tarball.mk repackaging: Use gzip options --best
    --no-name and tar options --owner=root --group=root --mode=a+rX.
    Thanks to Andreas Tille.
  * Introduce DEB_UPSTREAM_CRUFT_MOVE and DEB_UPSTREAM_CRUFT_COPY in
    utils.mk to put aside upstream cruft during build.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 29 Jan 2012 21:01:47 +0100

cdbs (0.4.100) unstable; urgency=low

  * Fix strip whitespace to avoid resolving unnecessary tight build-
    dependency on cdbs.
    Closes: bug#649982. Thanks to Anders Kaseorg.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 29 Nov 2011 20:48:26 +0700

cdbs (0.4.99) unstable; urgency=low

  * Fix suppress accidental build-dependency on ourself.
  * Relax autoresolving for utils.mk to build-depend unversioned on
    devscripts: Needed version 2.10.7 satisfied even in oldstable.
  * Stop suppressing copyright-check. Build-depend on devscripts.
  * Update copyright file:
    + Fix typo in license shortname.
  * Add lintian override for build-dependency on python-dev (needed for
    regression tests).
  * Bump debhelper compatibility level to 7.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 16 Sep 2011 21:51:56 +0200

cdbs (0.4.98) unstable; urgency=low

  * Fix (properly this time) support for *-any and any-* archs in
    list-packages script:
    + Sync with debhelper 7.3.16+.
    + Stop depending on libdpkg-perl.
    Closes: bug#641658, #641678.
  * Stop depending on debhelper (needed only to avoid older versions
    than 5.0.30, which is satisfied even in oldstable).
    See bug#405413.
  * Update copyright file:
    + Extend copyright for scripts/list-packages.
    + Fix include verbatim Expat(-like) license.
    + Fix use exceptions (not separate licenses).
    + Rename some license shortnames to better indicate being derived.
    + Shorten license comments.
    + Wrap licenses at 72 chars.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 16 Sep 2011 21:01:50 +0200

cdbs (0.4.97) unstable; urgency=low

  * Fix treat DEB_BUILD_OPTIONS as whole word (use filter not
    findstring) in perl-build.mk.
  * Fix support for *-any and any-* archs in list-packages script.
    Closes: Bug#616501, 637282. Thanks to Emilio Pozuelo Monfort,
    Nobuhiro Iwamatsu and José Manuel Santamaría Lema for helping out,
    and to Aurelien Jarno for an elegant fix.
  * Improve dependency autoresolving for debhelper.mk:
    + Build-depend unversioned when satisfied even in unstable.
    + Tie build-dependency directly to debian/compat and DH_COMPAT, to
      support debhelper 8 and newer.
    Closes: bug#641253. Thanks to Geoffrey Thomas.
  * Introduce DEB_PYTHON_DISTUTILS_SRCDIR to allow mixing
    python-distutils.mk with e.g. autotools.mk using different source
    roots.
    Closes: bug#504346. Thanks to Sune Vuorela.
  * Fix invoke python packaging helper twice(!) as documented, when
    using new dh_python2/dh_python2 and private modules.
  * Deprecate DEB_PYTHON_PRIVATE_MODULES_DIRS. Use *_DEFAULT, *_ALL or
    *_<package> variants instead.
  * Tighten autoresolved build-dependency on cdbs when using either
    DEB_PYTHON_PRIVATE_MODULES_DIRS* or DEB_DH_PYTHONHELPER_ARGS*.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 12 Sep 2011 12:21:53 +0200

cdbs (0.4.96) unstable; urgency=low

  * Fix cdbs_expand_curvar expansion to use VAR_pkg (not VAR_DEFAULT)
    when VAR_pkg is explicitly set to empty string.
    Closes: bug#629156. Thanks to Michael Biebl.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 20 Jul 2011 15:25:49 +0200

cdbs (0.4.95) unstable; urgency=low

  * Introduce new variables DEB_DH_PYTHONHELPER_ARGS_{DEFAULT,ALL,pkg}.
  * Tighten build-dependency on cdbs when used.
    Closes: bug#633820. Thanks to Felipe Sateler.
  * Fix tighten build-dependency on cdbs when binary package relation
    variables is used.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 14 Jul 2011 12:52:52 +0200

cdbs (0.4.94) unstable; urgency=low

  * Update lintian override.
  * Fix typo in multiflavor build-dependency autoresolving for
    makefile.mk.
    Closes: bug#623883. Thanks to Jérémy Lal.
  * Invoke dh_installgsettings after dh_install.
    Closes: bug#627735. Thanks to Michael Biebl.
  * Detect Setup.hs as fallback for Setup.lhs in hbuild.mk snippet, and
    add new variable DEB_HBUILD_SETUPFILE to override explicitly.
    Closes: bug#412388. Thanks to Trent Buck.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 24 May 2011 09:56:03 +0200

cdbs (0.4.93) unstable; urgency=low

  [ Jonas Smedegaard ]
  * Fix readd default compile flag -Wall, accidentally dropped in cdbs
    0.4.90. Introduce new variable $DEB_WARNING_FLAGS to ease overriding
    while still rely on dpkg-buildflags.
  * Fix comment in langcore.mk.
  * Fix support arch-independent python3 modules: Resolve
    $cdbs_curpythonindepbinary properly, used for the Python binary to
    invoke for default builds.
    Closes: bug#621749. Thanks to Tanguy Ortolo and Jakub Wilk.
  * Add variables $cdbs_python2_indep_packages and
    $cdbs_python3_indep_packages to python-vars.mk, and when used
    tighten build-dependency on cdbs to versions properly supporting
    arch-independent Python3 builds.
  * Extend long ugly build-dependency cleanup routine to include cdbs
    0.4.93~.
  * Resolve $DEB_HOST_MULTIARCH from dpkg-architecture.
    Closes: bug#617841. Thanks to Steve Langasek.
  * Bump DEP5 format to rev. 174.
  * Stop compiling or installing documentation, to avoid circular
    build-dependency.  Documentation will reappear as separate package.
    Stop build-depending on documentation-related tools, which also
    closes: bug#614536. Thanks to Lucas Nussbaum and Loïc Minier.
  * Bump copyright file format to draft 174 of DEP-5.
  * Fix refer to git source (not old svn source) in copyright file.

  [ IOhannes m zmölnig ]
  * Fix automatic DEB_PACKAGES->DKMS_PACKAGES detection in dkms.mk, and
    tidy some cruft.
  * Fix set permissions in pd.mk.

  [ Emilio Pozuelo Monfort ]
  * Call dh_installgsettings in debhelper.mk if available.
    Closes: #621328.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 17 Apr 2011 05:44:16 +0200

cdbs (0.4.92) unstable; urgency=low

  [ Jonas Smedegaard ]
  * Fix add missing leading quote to DEB_CONFIGURE_SCRIPT_ENV in
    python-autotools.mk.
    Thanks to Stefano Rivera.
  * Fix resolve DEB_MAKE_DESTDIRSKEL early in python-autotools.mk:
    Flavors are used in build targets also resolved early.
    Closes: bug#610624. Thanks to Stefano Rivera.
  * Drop use of obsolete DEB_BUILD_MAKE_TARGET.
  * Adjust copyright-check hint file:
    + Bump referenced DEP5 to candidate draft Subversion rev166.
    + Drop misleading copyright+license paragraphs in header section.
  * Claim ownership of recent changes.
  * Update copyright file:
    + Extend copyright year.
    + Duplicate header copyright+license as initial Files: wildcard
      section.

  [ IOhannes m zmölnig ]
  * Add draft snippet for DKMS support (not included in binary package).

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 08 Feb 2011 12:47:37 +0100

cdbs (0.4.91) experimental; urgency=low

  [ Rémi Thebault ]
  * Adjust waf class to use global, default and per-package variables.
  * Update waf class documentation.
  * Check sha1sum of waf file and unpack on failure, to ease inspection
    of potentially malicious waf file.

  [ Jonas Smedegaard ]
  * Add new targets checksanity and testsanity/$(pkg).
  * Fix avoid comma in default DEB_COPYRIGHT_CHECK_DELIMITER.
  * Bump copyright format to Subversion candidate draft 162 of DEP5.
    Add License hint.
  * Extend a few copyright years.
  * Improve build-dependency resolving.
  * Fix expand DEB_DH_GIREPOSITORY_ARGS_* variables.
    Closes: bug#610187. Thanks to Laurent Bigonville.
  * Introduce DEB_PYTHON_DISTUTILS_INSTALLDIR_SKEL variable, to ease
    installing Python module as a private one.
  * Tidy pd class, and add build-dependency hint.
  * Suppress lintian error about waf script requiring dependency on
    Python.

  [ Emilio Pozuelo Monfort ]
  * Stop invoking deprecated dh_scrollkeeper in gnome.mk.

  [ IOhannes m zmölnig ]
  * Add pd.mk class for PureData extensions.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 16 Jan 2011 16:07:55 +0100

cdbs (0.4.90) experimental; urgency=low

  [ Jonas Smedegaard ]
  * Tighten resolved build-dependency on cdbs when using debhelper
    compat level 7, to ensure use of dh_prep (see bug#586616).
  * Fix add support for DEB_CONFIGURE_FLAGS_$flavor variables.
  * Introduce new variable DEB_UPSTREAM_WGET_OPTS to upstream-
    tarball.mk.
  * Sync copyright-check with recent draft of DEP5 (Bazaar rev. 132).
  * Have debhelper.mk invoke dh_bugfiles if available.
    Closes: bug#604548. Thanks to Laurent Bigonville.
  * Reorganize autotools-vars.mk variables for clarity.
  * Have autotools add --enable-debug when DEB_BUILD_OPTIONS contains
    debug.
    Closes: bug#599218. Thanks to Emilio Pozuelo Monfort.
  * Have python-distutils.mk quote --root path to work when parent of
    builddir contains spaces.
    Closes: bug#598410. Thanks to Michael Terry.
  * Fix documentation to use relative DEB_SRCDIR in autotools.mk
    example.
    Closes: bug#594042. Thanks to IOhannes m zmoelnig.
  * Reorganize langcore.mk variables in preparation for improvements.
  * Deprecate DEB_OPT_FLAG (if ever used it should be done differently).
  * Have langcore.mk resolve compile flags using dpkg-buildflags when
    possible.
    Closes: bug#583559. Thanks to Raphaël Hertzog.
  * Fix cdbs_expand_nondefaultvar function, and extend to also avoid
    undefined (not only default) and support fallback.
  * Introduce new variable CDBS_FIX_COMPILE_FLAGS (uset by default).
    Closes: bug#523642 (as best possible). Thanks to Robert Millan.
  * Fix respect DEB_MAKE_DESTDIRSKEL when flavors are used in
    makefile.mk. Keep install flavors in same destdir for python-
    autotools. Add NEWS item about the change.
  * Support per-flavor DEB_MAKE_BUILDDIRSKEL and DEB_MAKE_DESTDIRSKEL.
  * Use newline+space delimiter in copyright-hints by default,
    configurable through DEB_COPYRIGHT_CHECK_DELIMITER.
  * Improve cleanup rules in python-distutils.mk: also clean python3
    __pycache__ dirs (even if currently unused).
  * Use new python-2 system by default (i.e. when DEB_PYTHON_SYSTEM not
    set).
  * Tighten resolved build-dependency on python when using default
    python-2 system.
  * Rewrite copyright file using Bazaar rev.132 draft of DEP5 format.
  * Simplify python-vars.mk to expand recursively (drop colon): no
    longer used for rules expansion (and apparently never were).
  * Revert filter out python3 modules by default: May cause regressions,
    and is handled better for python2/python3 system anyway.
  * Fix avoid marking stampfile targets as PHONY in python-distutils.mk.
  * Fix invoke python debhelper only for relevant packages.
    Really closes: bug#377965, but since that bug is 4+ years old we fix
    only for new python2/python3 and keep broken behavior for legacy
    systems to avoid surprises.
  * Extend python classes to support dh_python3 packaging system.
  * Add new copyright holder to debian/copyright (no new licensing).

  [ Piotr Ożarowski ]
  * No longer creates debian/pycompat files in clean rule.
    Closes: bug#424898. Thanks to Bernd Zeimetz and others.
  * Extend python classes to support dh_python2 packaging system.
    Add corresponding distutils-9 distutils-10 and distutils-11
    regression test.
    Closes: bug#604718.
  * Ignore python3 packages in python-vars.mk.

  [ Emilio Pozuelo Monfort ]
  * dh_desktop is deprecated, don't call it anymore.
    Closes: bug#439717.
  * Fix permissions of new python2 regression test.
  * Fix variable substitution in DEB_CONFIGURE_FLAGS_$flavor expansion.
  * debhelper.mk: Invoke dh_girepository if available.
    Closes: bug#606703.

  [ Rémi Thebault ]
  * Add waf class.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 27 Dec 2010 04:30:08 +0100

cdbs (0.4.89) unstable; urgency=low

  * Stop conflicting against ancient/bogus build-common.
  * Fix and simplify dh_buildinfo support: Invoke in debhelper (not
    utils) snippet, limited to each binary package.
    Closes: bug#590601. Thanks (again) to Michael Biebl.
  * Fix ensure makefile-vars.mk is usable without makefile.mk: add
    simpler fallback for cdbs_make_curbuilddir.
    Closes: bug#596950. Thanks to Lucas Nussbaum and others.
  * Add TODO item: Mention replacement variable in deprecation warnings.
  * Fix tighten copyright-check auto-resolved build-dependency on cdbs.
  * Build-depend on dh-buildinfo.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 16 Sep 2010 11:00:25 +0200

cdbs (0.4.88) unstable; urgency=medium

  * Fix only optionally-declare ( using ?= ) DEB_COPYRIGHT_CHECK_STRICT,
    to allow early override.
  * Suppress sole delimiter in cdbs_expand_curvar function.
    Closes:bug#590806, thanks to Kris Shannon.
  * Fix invoke dh_buildinfo after dh_installdocs and dh_link.
    Closes: bug#590601, thanks to Axel Beckert, Michael Biebl and Simon
    McVittie.
  * Bump Policy compliance to standards-version 3.9.1.
  * Set urgency=medium as this fixes FTBFS of other packages.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 31 Jul 2010 11:07:59 -0400

cdbs (0.4.87) unstable; urgency=low

  * Fix strip trailing comma in autoresolved build-dependencies.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 Jun 2010 18:35:02 +0200

cdbs (0.4.86) unstable; urgency=high

  * Fix space-separate variables expanded via cdbs_expand_curvar.
    Closes: bug#586742, thanks to Yves-Alexis Perez and others.
  * Raise to severity=high, as above caused FTBFS.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 Jun 2010 11:23:07 +0200

cdbs (0.4.85) unstable; urgency=low

  * Per-package variables in buildcore.mk and debhelper.mk now generally
    use the following scheme:
    + VAR_ALL applies to all packages
    + VAR_<package> applies to current package
    + VAR_DEFAULT applies to current package if VAR_pkg is empty
    Use of VAR without "suffix" for per-package variables is now
    deprecated, except for a few cases marked as TODO in those files.
    Closes: bug#582693, thanks to Rudy Godoy.
  * Really fix suppress build-dependency on ourself (not only relax
    versioning).
  * Introduce new convenience variable cdbs_python_primary_version.
  * Fix use dh_prep with debhelper 7 and newer (not only newer than 7).
    Closes: bug#586616, thanks to Nelson A. de Oliveira.
  * Fix double expansion of CDBS_DEPENDS (possibly the cause of
    occasional spurious extra comma in build-dependencies).
  * Deprecate dpatch.mk, simple-patchsys.mk and tarball.mk, suggesting
    source format 3.0 as alternative.
  * Add NEWS entry about new per-package variable scheme and deprecated
    snippets.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 21 Jun 2010 16:57:59 +0200

cdbs (0.4.84) unstable; urgency=low

  * Improve copyright file:
    + Rewrap license sections Expat and other-X.
    + Add comment on Expat variation.
  * Fix suppress build-dependency on ourselves.
  * Add TODO on a way to fix bug#207775 in 2nd epoch.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 15 May 2010 16:12:02 +0200

cdbs (0.4.83) unstable; urgency=medium

  * Drop support for variables DEB_*_MAKE_TARGET and
    DEB_MAKE_TEST_TARGET, deprecated for ages.  Fixes accidentally
    disabled regression tests in perl-* classes.
  * Enable verbose output for regression tests in class
    perl-makemaker.mk.
  * Fix support multiword CC or CXX (broken since 0.4.77), and really
    support cross-building (as intended in 0.4.77).
    Closes: bug#576967, #578303, thanks to Peter Eisentraut for
    insisting, and to Anders Kaseorg for solving.
  * Set urgency=medium as broken CC/CXX multiword support causes FTBFS
    of other packages.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 29 Apr 2010 10:56:31 +0200

cdbs (0.4.82) unstable; urgency=low

  * Fix strip repackaging tag when DEB_UPSTREAM_REPACKAGE_EXCLUDES is
    set (not deprecated DEB_UPSTREAM_REPACKAGE_EXCLUDE), in upstream-
    tarball.mk.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 15 Apr 2010 11:31:11 +0200

cdbs (0.4.81) unstable; urgency=low

  * Fix install arch-all packages part of arch-all+arch-any multilib
    packaging in python-distutils.mk (broken since 0.4.72). Closes:
    bug#577580, thanks to Yaroslav Halchenko.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 13 Apr 2010 02:16:58 +0200

cdbs (0.4.80) unstable; urgency=low

  * Fix build-dependency variable name in perl-build.mk.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 12 Apr 2010 21:26:44 +0200

cdbs (0.4.79) unstable; urgency=low

  * Tighten build-dependency on cdbs in perl-build.mk, due to 0.4.78
    bugfix.
  * Fix build-dependency variable name in perl-vars.mk.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 12 Apr 2010 17:02:21 +0200

cdbs (0.4.78) unstable; urgency=low

  * Fix silence build-dependency resolving rule in buildcore.mk
    (leftover from debugging session).
  * Fix drop packlist files without failing with non-default
    DEB_PERL_DESTDIR.
  * Add TODO file with ideas for 2nd epoch (i.e. /usr/share/cdbs/2/*).

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 12 Apr 2010 15:18:18 +0200

cdbs (0.4.77) unstable; urgency=low

  * Fail the fail-source-not-repackaged rule (in addition to get-orig-
    source) if old DEB_UPSTREAM_REPACKAGE_EXCLUDE is declared, in
    upstream-tarball.mk.
  * Fix check excluded directories (not files twice) in the fail-source-
    not-repackaged rule, in upstream-tarball.mk.
  * Support cross-building: Avoid setting CC or CXX in autotools.mk
    except if explicitly declared, and set CC="-gcc" in makefile.mk when
    cross-building. Closes: bug#450483, thanks to Neil Williams

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 04 Apr 2010 00:26:12 +0200

cdbs (0.4.76) unstable; urgency=low

  * Fix expansion of multiple DEB_SUGAR_BRANCHES in python-sugar.mk.
  * Add find-style DEB_UPSTREAM_REPACKAGE_EXCLUDES (and drop
    DEB_UPSTREAM_REPACKAGE_EXCLUDE apparently broken for dirs) in
    upstream-tarball.mk.
  * Add support for parallel build in scons-vars.mk. Closes: bug#575762,
    thanks to Felipe Sateler.
  * Only optionally-declare (i.e. using ?= not = ) when possible to
    allow early override.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 03 Apr 2010 13:41:46 +0200

cdbs (0.4.75) unstable; urgency=medium

  * Fix pkg check function in python-sugar.mk (caused bogus warnings
    about redefining DEB_PYTHON_SUGAR_PACKAGES late).
  * Fix python-autotools.mk to only try expand to flavored python when
    flavors are in use (causes FTBFS of arch-all packages).
    Tighten python-autotools.mk build-dependency hint, and extend
    build-dependency cleanup to cover current release.
  * Prepend cdbs_ to (recently added) re_* variables in buildcore.mk.
  * Add convenience expansion variable cdbs_expand_curvar (replacing now
    unused cdbs_curvar).
  * Improve build-relation cleanup in buildcore.mk:
    + Avoid shell-execution of control.in file.
    + Generate multiline build-dependencies by default, tunable with new
      variable CDBS_BUILD_DEPENDS_DELIMITER.
    + Support multiline content in input variables.
    + Skip virtually empty binary relations (avoids "unused substitution
      variable" warnings).
  * Set urgency=medium due to fix for potential FTBFS.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 26 Mar 2010 13:09:12 +0100

cdbs (0.4.74) unstable; urgency=low

  * Fix tighten build-dependency hints to versions actually including
    recently introduced snippets, and move a hint to perl-vars.mk from
    dependent snippets.
  * Extend buildcore.mk build-dependency cleanup to cover above change.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 20 Mar 2010 19:44:02 +0100

cdbs (0.4.73) unstable; urgency=low

  * Fix install new snippets perl-vars.mk, perl-build-vars.mk, perl-
    build.mk, perl-makemaker-vars.mk, perl-makemaker.mk, python-
    autotools.mk, scons-vars.mk and scons.mk. Closes: bug#470532, thanks
    to Jérémy Lal.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 20 Mar 2010 14:12:00 +0100

cdbs (0.4.72) unstable; urgency=low

  * Rename internal variable cdbs_pkgsrcdir → cdbs_cursrcdir, and
    declare it more compact.
  * Add convenience expansion variables cdbs_curbuilddir and
    cdbs_curdestdir to buildvars.mk and makefile.mk.
  * Extend makefile.mk and autotools.mk to support multiple flavors.
  * Rename variable cdbs_python_compile_version →
    cdbs_python_nondefault_version, and add comment about its purpose.
  * Simplify arch-all python calls to check already fully resolved need
    of versioned binary.
  * Add class python-autotools.mk, using multiflavor support if building
    for multiple Python versions.
  * Fix prepend -flavors (not multibuilds) to a CDBS_BUILD_DEPENDS.
  * Fix python-autotools.mk include path to autotools.mk.
  * Fix syntax error in python-autotools.mk.
  * Fix handle merging of all declared (by ourselves) build-dependencies
    in buildcore.mk.
  * Add class scons.mk (and scons-vars.mk. Closes: bug#470532, thanks to
    Timothy G Abbott and Matthew A. Nicholson.
  * Add class perl-build.mk (and perl-vars.mk and perl-build-vars.mk).
  * Extend build-dependency merging to include newly added snippets.
  * Add class perl-makemaker.mk (and perl-makemaker-vars.mk), and
    deprecate perlmodule.mk (and perlmodule-vars.mk) due to too generic
    snippet name and bad default binary package selection.
  * Extend buildcore.mk to support binary package relations.
  * Consistently declare build-dependency hints (fix oddities/typos in
    python-autotools.mk, buildcore.mk and upstream-tarbal.mk).
  * Declare utils.mk build-dependency hints for optional copyright-check
    and buildinfo rules.
  * Fix declare simple-patchsys.mk build-dependency hint, accidentally
    broken in 0.4.70.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 19 Mar 2010 18:49:20 +0100

cdbs (0.4.71) unstable; urgency=low

  * Merge build-info.mk rule with utils.mk, and gracefully handle
    missing binary instead of tightened build-dependency.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 08 Mar 2010 23:00:17 +0100

cdbs (0.4.70) unstable; urgency=low

  * Brown paperbag release...
  * Fix install upstream-tarball.mk properly. Bump its build-dependency
    hint.
  * Fix declare debhelper.mk build-dependency hints.
  * Fix add comma only in front of each build-dependency set (not
    accidentally within).
  * Fix drop old-style build-dependency hint from simple-patchsys.mk.
  * Fix hint only about one of pysupport/pycentral in python-module.mk.
  * Cosmetics: cleanup trailing space for the corner case of only a
    single CDBS-declared build-dependency.
  * Eat our own dog food: Auto-update debian/control build-dependencies
    of cdbs package itself when DEB_MAINTAINER_MODE=1.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 08 Mar 2010 17:08:08 +0100

cdbs (0.4.69) unstable; urgency=low

  * Merge recently added copyright-check.mk with utils.mk.
  * Improve copyright-check:
    + Skip check if debian/copyright_hints is missing.
    + Skip check if licensecheck is missing or too old.
    + Drop build-depending on devscripts: now only required in
      DEB_MAINTAINER_MODE (where check fails instead of being skipped).
    + Separate perl part as licensecheck2dep5 script. Fix some warnings.
    + Fix pattern count and related wording.
    + Ensure parsing fails on error.
    + Add space around intro text to emphasize in build logs.
    + Preserve copyright_newhints file only if maintainer-mode fails.
  * Improve debian/control semi-auto-update rule:
    + Rewrite in Perl.
    + Pass build-dependencies through ENV (not expand inside regex) to
      protect against surprises in user-added data.
    + Merge duplicate build-dependencies.
  * Declare build-dependencies recursively expanded ( = not := ) and
    individually (using CDBS_BUILD_DEPENDS_xxx) to allow late override
    and silencing e.g. when a class or rules file is only dash-included.
  * Add new rule upstream-tarball.mk implementing get-orig-source with
    repackaging support.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 08 Mar 2010 12:13:42 +0100

cdbs (0.4.68) unstable; urgency=medium

  * Fix do snippet-specific sanity checks in python-sugar.mk.
  * Cosmetics: List user-editable variables first in python-sugar.mk.
  * Move snippet-specific sanity checks to python-distutils.mk (from
    python-vars.mk), and list user-editable variables first.
  * Fix force use LC_ALL=C in copyright-check.mk.
  * Fix testsuite support for Python 2.6 install path.
    Closes: bug#571486, thanks to Jakub Wilk.
  * Set urgency=medium as above are small fixes and earlier 0.4.67
    changes are quite nice to soon get into testing.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Mar 2010 13:47:52 +0100

cdbs (0.4.67) unstable; urgency=low

  * Fix python-distutils.mk pkg check: Move preparation to python-
    vars.mk. While at it, move cdbs_python_binary too.
  * Move setting pycompat from python-distutils.mk to python-module.mk.
  * Drop superfluous buildcore.mk inclusion from python-distutils.mk.
  * Add internal variable expansion cdbs_pkgsrcdir to buildvars.mk.
  * Add new class python-sugar.mk for building Python-based Sugar
    packages.
  * Bump Standards-Version to 3.8.4.
  * Take credit for my recent changes.
  * Refer to FSF website (not postal address) in headers.
  * Introduce DEB_MAINTAINER_MODE for routines convenient for
    maintainers but unsuitable for build daemons. Have it enable
    DEB_AUTO_UPDATE_DEBIAN_CONTROL.
  * Add new rule copyright-check.mk to check for changes to copyright
    notices in source.
  * Add new rule buildinfo.mk to generate and include build information
    with binary packages.
  * Add new class python-sugar.mk and new rules buildinfo.mk and
    copyright-check.mk to Makefile.am.
  * Update autotools using automake 1.11.1.
  * Bump debhelper compat level to 6, and tighten build-dependency to
    6.0.1.
  * Rewrite copyright file using draft DEP5 rev135.
  * Use copyright-check.mk ourselves. Build-depend on recent devscripts.
  * Fix only update control file if control.in exist.
  * Fix set custom _cdbs_scripts_path during our own build.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 19 Feb 2010 07:51:15 +0100

cdbs (0.4.66) unstable; urgency=low

  * Fix resolve pysupport/pycentral build-dependency in python-
    module.mk.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 23 Jan 2010 06:24:54 +0100

cdbs (0.4.65) unstable; urgency=low

  * Acknowledge NMU 0.4.62+nmu1. Closes: bug#507966, #549801, #562650,
    thanks to Piotr Ożarowski (and apologies for missing it at first).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 26 Dec 2009 22:20:13 +0100

cdbs (0.4.64) unstable; urgency=low

  * Fix install new python-vars.mk and python-module.mk snippets.
    Closes: bug#562590, thanks to Mario Izquierdo.
  * Update autotools using automake 1.11 and autoconf 2.66.
  * Use 'native' flavor of source format 3.0 (not quilt), thanks to
    Raphaël Hertzog: Native packages have no gain (I knew that already)
    and even spit annoying warnings.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 26 Dec 2009 13:15:21 +0100

cdbs (0.4.63) unstable; urgency=low

  * Update autotools using automake 1.11 and autoconf 2.64, config.guess
    and config.sub snapshots from 20090611.
  * Update licensing years and merge now (after autotools update)
    identically licensed files in debian/copyright.
  * Reformat debian/copyright to follow draft DEP5 rev59.
  * autotools.mk: Use stamp file for configure target. Closes:
    bug#493631, #534868, thanks to Felix Zielcke and Robert Millan.
  * Adjust perlmodule.mk to call cdbs_streq when comparing DEB_BUILDDIR
    and DEB_SRCDIR.
  * makefile.mk, autotools.mk: support DEB_BUILDDIR_xxx and
    DEB_DESTDIR_xxx.
  * Take credit for recent work, and some not so recent (last year).
  * Tighten python-distutils.mk...:
    + Drop variable DEB_DH_PYTHON_ARGS unused since 0.4.53.
    + Fix allow variable DEB_PYTHON_PRIVATE_MODULES_DIRS to be declared
      before including cdbs snippets.
    + Avoid ifeq syntax, in preparation for future support for declaring
      DEB_PYTHON_SYSTEM after including cdbs snippets.
    + Support per-package DEB_PYTHON_PRIVATE_MODULES_DIRS_xxx, and also
      apply to dh_python-central (not only dh_python-support) as it has
      apparently been supported since at least python-central 0.6.6.
    + Rename some internal variables for clarity.
    + Add package-selection sanity checks.
  * Split out reusable parts of python-distutils.mk as python-vars.mk
    and python-module.mk.
  * Fix invoke Python debhelper hook right after dh_install (not before)
    to include files installed through debhelper.
  * Build-depend on texlive-font-utils (and only fallback on older
    texlive-extra-utils): provides epstopdf. Closes: bug#562336.
  * Use source format 3.0 (quilt).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 25 Dec 2009 23:08:48 +0100

cdbs (0.4.62) unstable; urgency=low

  [ Jonas Smedegaard ]
  * Move source to collab-maint Git at Alioth. Update Vcs-* stanzas.
  * Fix detect exit code in for loops in python-distutils.mk. Closes:
    bug#546589.
  * Disable silent rules (introduced in automake 1.11) in autotools-
    vars.mk.  Closes: bug#551453, thanks to Josselin Mouette.

  [ Marc Dequènes (Duck) ]
  * Applied patch from Barry deFreese <bdefreese@debian.org> and Torsten
    Werner <twerner@debian.org> to migrate the Java class from kaffe
    (which is being removed) to default-jdk (Build-Depends, Depends,
    'test/ant-1.sh' test, and documentation were updated) (Closes:
    #547391).
  * Cleaned up .egg-info directories sometimes left over by Python
    distutils, as suggested by Evan Broder (Closes: #507966).
  * Stopped creating 'debian/pycompat' in the Python class if either XS-
    Python-Version or 'debian/pyversions' is set, as suggested by Loïc
    Minier (Closes: #512300).
  * Updated 'config.rpath' path to sync with gnulib changes (Closes:
    #510175).

  [ Peter Eisentraut ]
  * Updated standards version
  * Document more clearly that a build dependency on autotools-dev
    should be added to get config.{guess,sub} updates reliably

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 18 Oct 2009 15:12:10 +0200

cdbs (0.4.61+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * python-distutils.mk changes for Python >= 2.6 (closes: #537373):
    - hardcode "site-packages" using --install-lib (Python >=2.6 is using
      "dist-packages" by default)
    - add --prefix=/usr (Python >= 2.6 is using /usr/local by default)

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 18 Sep 2009 22:54:47 +0200

cdbs (0.4.61) unstable; urgency=low

  * Brown paperbag release: Fix excess closing paranthesis in
    autotools-files.mk. Closes: bug#543916, thanks to Zak B. Elep.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 27 Aug 2009 21:10:32 +0200

cdbs (0.4.60) unstable; urgency=low

  * Relax perlmodule.mk build-dependency on perl (drop versioning
    unneeded since Debian Policy 3.8.3).
  * Rewrite autotools cross-compiling comment to clarify that cross-
    compiling requires autotools 2.52 or newer (not that we conflict
    with autotools2.13, which apparently changed in 0.4.22-1.1).
  * Fix include DEB_MAKEMAKER_USER_FLAGS in DEB_MAKEMAKER_INVOKE (not
    separately when invoked) to handle options that must be declared
    before arguments. Closes: bug#481893, thanks to Dmitry E. Oboukhov.
  * Support parallel builds in makefile, automake, perlmodule, qmake and
    cmake classes when DEB_BUILD_PARALLEL is non-empty. Closes:
    bug#505328, thanks to Steve M. Robbins and Felipe Sateler.
  * Simplify autotools-files.mk and make m4 dir configurable through
    new variable DEB_ACLOCAL_ARGS. Fix copyright of that file. Closes:
    bug#537497, thanks to Robert Millan.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 02 Aug 2009 13:51:56 +0200

cdbs (0.4.59) unstable; urgency=low

  * Defer setting DEB_BUILD_DEPENDENCIES in buildcore.mk (use ?= not =),
    to respect prior override. Closes: bug#205395, thanks to Robert
    Jordens, and to Joachim Breitner for reviving.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 21 Jul 2009 18:49:44 +0200

cdbs (0.4.58) unstable; urgency=high

  * Revert change in 0.4.57 ensuring post-patches finished before
    configure in autotools.mk: Causes configure to be invoked again
    after build.
  * Set urgency=high as this cause FTBFS for packages not supporting
    multiple configure runs (see bugs #537011, #536992, #536963).

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 14 Jul 2009 20:31:47 +0200

cdbs (0.4.57) unstable; urgency=low

  [ Jonas Smedegaard ]
  * Have debhelper.mk build-depend on cdbs 0.4.53 or newer for DH v7.
  * Relax build-dependencies (e.g. drop versioning when satisfied in
    oldstable and not explicitly required by policy):
    + keep old versioning for perl (required by policy)
    + relax slightly versioning for python
    + drop some old versionings for debhelper, gnulib, type-handling,
      cdbs and patchutils
  * Adjust gnome.mk to extend build-dependencies after including classes
    which initialize them.
  * Append trunk in Vcs-* stanzas of debian/control, and use viewsvn
    (not vswn) in Vcs-Browser stanza.  Closes: bug#531692.
  * Build-depend on python-all-dev (not python2.4-dev or python2.5-dev),
    and generalize python-distutils tests to try all available versions
    of python.  Closes: bug#525855, thanks to Martin Pitt.
  * Use $(filter ...) instead of $(findstring ...) to extract space-
    separated options from DEB_BUILD_OPTIONS in debian/rules.
  * Fix autotools.mk not completing all dependencies of post-patches
    before doing configure.
  * Fix doc-base section (Debian, not Programming). Closes: bug#532193,
    thanks to Drew Parsons.
  * Fix testroot rule broken since 0.4.54. Closes: bug#532262, thanks to
    Frédéric Brière.
  * Fix makefile.mk to cleanup before cleanbuilddir (not in parallel).
    Closes: bug#521711, thanks to Raúl Sánchez Siles.
  * Fix perlmodule-vars.mk to work with recent MakeMaker (set DESTDIR
    instead of PREFIX). Closes: bug#534895, thanks to Kevin Ryde.
  * Fix override autotools config.{guess,sub,rpath} also when symlinks.
    Closes: bug#536351.
  * Drop noop inclusion of docbookxml.mk in gnome.mk.
  * Unconditionally add binary-install/* rules in gnome.mk (they are
    silently ignored if debhelper.mk not included).

  [ Peter Eisentraut ]
  * Document the class for KDE 4 provided by pkg-kde-tools, and document the
    KDE 3 class as obsolescent.  Move up the cmake section so the order makes
    sense again. (closes: #520383)
  * Allow JAVACMD to include options (patch by Matthias Klose) (ant.mk) 
    (closes: #520105)
  * Reenabled the ant-1 test
  * Added support for lzma-compressed tarballs (patch by Robert Millan) 
    (buildcore.mk, tarball.mk) (closes: #529355); added test case

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 10 Jul 2009 11:00:48 +0200

cdbs (0.4.56) unstable; urgency=low

  * Simplify logic in autotools, makefile and debhelper snippets:
    $(if A,A,B) -> $(or A,B).
  * Tighten debhelper.mk build-dependency hint for debhelper.  Closes:
    bug#522613, thanks to Adam D. Barratt and Russ Allbery.
  * Fix python-distutils.mk cleanup clashing with dh_clean (dh_clean
    chokes on dirnames containing trailing "-stamp"):
    + Remove stampdir before clean target
    + Use dirname not ending in "-stamp" (and while at it, use dir below
      debian dir to avoid clashing with upstream files)
    Either of above fixes the issue, and closes: bug#521568, thanks to
    Luca Falavigna.
  * Normalize headers to consistently use 1 line per copyright holder,
    one desription and then 1 empty line.
  * Rewrite debian/copyright to follow recent draft of proposed format:
    + Include all copyright holders (not only most project members)
    + Include all licenses (one file is restricted to GPL v2, other ones
      use different but still GPL2-compatible licenses)
    + Refer to centrally stored GPL-2 (not version-less GPL)
    Thanks for lintian for hinting about some of the above.
  * Adapt testsuite to changed packaging format of python-support 0.90.0
    and newer.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 08 Apr 2009 22:21:17 +0200

cdbs (0.4.55) unstable; urgency=low

  * Fix python-distutils.mk remove python-module-stamp dir in clean
    target.  Closes: bug#521568, thanks to Tristan Seligmann.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 28 Mar 2009 21:10:01 +0100

cdbs (0.4.54) unstable; urgency=low

  * Adjust buildcore.mk to not rely on specific inclusion order of
    debhelper.mk.  Closes: bug#489430 (for real this time), thanks to
    Martin Koeppe for insisting.
  * Introduce new variable DEB_PYTHON_MODULE_PACKAGES, and properly
    deprecate DEB_PYTHON_MODULE_PACKAGE (instead of just dropping it, as
    was done in 0.4.53).  Add NEWS entry.  This closes: bug#521180,
    thanks to Marc Dequènes.
  * Fix distutils tests to use new DEB_PYTHON_MODULE_PACKAGES.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 28 Mar 2009 10:41:05 +0100

cdbs (0.4.53) unstable; urgency=low

  [ Jonas Smedegaard ]
  * Relax python-central build-dependency to >= 0.5.6 in python-distutils
    class (instruction in python policy is only really needed for
    transition of python-central itself, which has now completed).
  * Adjust perlmodule.mk to not rely on specific inclusion order of cdbs
    files.  Closes: bug#489430, thanks to Martin Koeppe.
  * Drop bogus phrase about ordered relation between debhelper.mk and
    perl.mk in documentation.
  * Run dh_pycentral/dh_pysupport before dh_installinit.  Closes:
    bug#494288, thanks to Guido Günther.
  * Add support for debhelper level 7 (debhelper.mk):
    - Add new option DEB_DH_PREP. At levels <= 7 "dh_clean -k" is used
      by default, at newer levels "dh_prep" is used
    - Support level 7 in CDBS_BUILD_DEPENDS
  * Drop support for Python policy v1 from python-distutils.mk:
    - Drop code handling python policy v1
    - Strip no longer supported options DEB_PYTHON_COMPILE_VERSION and
      DEB_PYTHON_PACKAGES_EXCLUDE from documentation
    - Add NEWS entry about the change
  * Make python-distutils.mk only depend on debhelper when actually
    used, and only require special inclusion order when
    DEB_AUTO_UPDATE_DEBIAN_CONTROL is used.
  * Drop use of dh_python from python-distutils.mk:
    - Drop actual dh_python invocation
    - Build-depend unversioned on python-support and python-central (as
      the required versions adopting the functionality of dh_python are
      provided since oldstable), and drop build-dependency on debhelper.
    - Adjust documentation
  * Fix and extend distutils tests to use Python policy v2 against both
    competing implementations.  Build-depend on python-central and
    python-support.

  [ Peter Eisentraut ]
  * Added CHANGELOG to list of detected changelog file names (debhelper.mk) 
    (closes: #508141)
  * Documented variables DEB_AUTO_UPDATE_AUTOHEADER, DEB_AUTO_UPDATE_ACLOCAL
    (patch by Rafael Laboissiere) (closes: #505883)

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 17 Mar 2009 00:39:25 +0100

cdbs (0.4.52) unstable; urgency=low

  [ Jonas Smedegaard ]
  * Bump python-central build-dependency to >= 0.6 in python-distutils class.

  [ Peter Eisentraut ]
  * Clean up debian/patched when using tarball.mk, to clean up after dpatch.mk
    (patch by Dmitry E. Oboukhov) (tarball.mk) (closes: #456290)
  * Fixed/updated doc-base section
  * Added DEB_AUTOMAKE_ARGS variable (autotools-files.mk) (closes: #439747)
  * Added dh_icons call to GNOME class (gnome.mk) (closes: #432851)
  * Added standard patch system targets "patch" and "unpatch"
    (dpatch.mk, simple-patchsys.mk) (closes: #466259)
  * Added variables DEB_DH_GENCONTROL_ARGS_{ALL,<package>} (debhelper.mk)
    (closes: #457046)
  * Changed control fields XS-Vcs-* to Vcs-*
  * cdbs-edit-patch: ignore *.orig and *~ (closes: #449469)
  * Added call to dh_lintian if available (debhelper.mk) (closes: #467570)
  * Documented a particular issue with debug packages affecting DEB_DESTDIR
    (closes: #380614)
  * Run dh_installmime after dh_install (debhelper.mk) (closes: #443825)
  * Corrected incorrect example about binary/foo targets (closes: #448507)
  * Fixed tarball stamp file name generation so it works with tarballs in
    subdirectories (tarball.mk) (closes: #434774)

 -- Peter Eisentraut <petere@debian.org>  Tue, 01 Apr 2008 11:45:35 +0200

cdbs (0.4.51) unstable; urgency=low

  * Changed test/recursive.sh to use bash, like all other tests, since it
    doesn't work with dash (closes: #459052)
  * Changed CMAKE_C_COMPILER to CMAKE_C_COMPILER:FILEPATH and
    CMAKE_CXX_COMPILER to CMAKE_CXX_COMPILER:FILEPATH (cmake.mk)
    (closes: #450901)
  * Added support for debhelper level 6 (debhelper.mk):
    - Fixed dbg package handling (patch by Modestas Vainius) (closes: #462130)
    - Support level 6 in CDBS_BUILD_DEPENDS
  * Updated standards version

 -- Peter Eisentraut <petere@debian.org>  Fri, 01 Feb 2008 19:24:29 +0100

cdbs (0.4.50) unstable; urgency=low

  * Made qmake class observe nostrip option (qmake.mk) (closes: #438417)
  * Call make as $(MAKE) (qmake.mk)
  * Added cmake class (original patch by Fathi Boudra) (closes: #377524)
  * Documented cases where setting DEB_DESTDIR manually could be necessary
    (closes: #438372)
  * Use unversioned interpreter for default Python version
    (python-distutils.mk) (closes: #377964)
  * Use dh_testroot instead of custom rule when debhelper is used
    (buildcore.mk) (closes: #416018)
  * Documented variables DEB_AUTO_UPDATE_AUTOCONF, DEB_AUTO_UPDATE_AUTOMAKE,
    DEB_AUTO_UPDATE_LIBTOOL; thanks to Steve M. Robbins for the research
    (closes: #439750)
  * Use dh_listpackages instead of custom list-packages script when debhelper
    is used.  Since this requires a recent version of debhelper, debhelper is
    now a dependency of cdbs.  (buildcore.mk, permodule-vars.mk)
    (closes: #405413, #433862)
  * Added possibility to list files that are not installed in
    debian/not-installed (utils.mk) (closes: #423394)
  * Replaced uses of "#" in make $(warning) function argument, because it
    misbehaves in some versions of make (python-distutils.mk)
    (closes: #439915)
  * Add to CFLAGS/CXXFLAGS instead of overwriting them (langcore.mk)
    (closes: #411520)

 -- Peter Eisentraut <petere@debian.org>  Fri, 02 Nov 2007 13:11:42 +0100

cdbs (0.4.49) unstable; urgency=low

  * cdbs-edit-patch:
    - Test directory after checking for help message (closes: #389503)
    - Support patches ending in .diff (closes: #389508)
    - Ensure exit status 0 in case of success (closes: #389929)
    - Apply patches in an order consistent with simple-patchsys.mk
      (closes: #395180)
    [from Martin Pitt:] (closes: #381120)
    - Now works for packages using tarball.mk (closes: #399308)
    - Can edit patches that produce rejections
    - Strips off "debian/patches/" from patch name argument to comfortably
      work with command line completion
  * Added XS-Vcs- fields
  * Added build dependency on texlive-extra-utils to pull in epstopdf
    (closes: #420329)
  * Fixed typos (hbuild.mk) (closes: #419322)
  * Corrected documentation about how to override configure flags
    (closes: #420198)
  * Shortened uploaders list
  * Do not unapply patches when building from a tarball (tarball.mk)
    (closes: #424080)
  * Normalized spelling of makefile errors and warnings (autotools-files.mk,
    buildcore.mk, dpatch.mk, perlmodule.mk, python-distutils.mk,
    simple-patchsys.mk, tarball.mk)

 -- Peter Eisentraut <petere@debian.org>  Sun, 20 May 2007 18:01:14 +0200

cdbs (0.4.48) unstable; urgency=medium

  * Reverse patches before cleaning build directory (simple-patchsys.mk)
    (closes: #387103)
  * Drop build dependency on python2.3; use python2.5 in the testsuite
    instead (closes: #403358)

 -- Peter Eisentraut <petere@debian.org>  Sat, 16 Dec 2006 18:25:48 +0100

cdbs (0.4.47) unstable; urgency=low

  * Replaced db2latex-xsl by dblatex for documentation build (patch by
    Frank Küster) (closes: #393665)

 -- Peter Eisentraut <petere@debian.org>  Thu, 26 Oct 2006 12:21:40 +0200

cdbs (0.4.46) unstable; urgency=high

  * Changed patch stamp file naming scheme to handle equally named patches
    in different directories (simple-patchsys.mk) (closes: #380499)

 -- Peter Eisentraut <petere@debian.org>  Thu,  3 Aug 2006 19:43:44 +0200

cdbs (0.4.45) unstable; urgency=medium

  * Added support for user-defined CC and CXX in qmake class
  * Fixed diff call yielding false positives in list-missing rule
    (utils.mk) (closes: #378013); test case in list-missing-1.sh
  * Fixed bashisms in utils.mk
  * Fixed bashism in python-distutils.mk
  * Call dh_py* for all packages in new Python policy section
    (python-distutils.mk) (closes: #377965)
  * Make use of per-patch stamp files and don't ignore failed patch
    reversals (simple-patchsys.mk) (closes: #372682)
  * Removed some redundant autotools use, since we know our target platform
    pretty well
  * Updated debian/copyright, removed redundant AUTHORS file
  * Updated TODO

 -- Peter Eisentraut <petere@debian.org>  Sat, 29 Jul 2006 17:18:57 +0200

cdbs (0.4.44) unstable; urgency=medium

  * Shortened uploaders list
  * Added gs-common build dependency (closes: #375464)
  * Disabled ant-1 test while kaffe is broken (see #376336)
  * Removed weird garbage file left in last upload

 -- Peter Eisentraut <petere@debian.org>  Mon,  3 Jul 2006 17:46:43 +0200

cdbs (0.4.43) unstable; urgency=low

  * Python class update (Closes: #374809):
    + support latest pysupport features (mainly .so support).
    + use pyversions improvements to simplify the code.
    + added a check against 'debian/pycompat'.
    + tighten build-dependencies to make use of new features.
    + $(cdbs_python_current_version) is always set
      (Closes: #374012).
    + honour minor supported version (thanks to Piotr Ozarowski for the
      original patch) (Closes: #373997).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Sat, 24 Jun 2006 11:44:28 +0200

cdbs (0.4.42) unstable; urgency=low

  * Corrected misspelled DEB_PYTHON_INSTALL_ARGS(_ALL)
    (python-distutils.mk) (closes: #373678)
  * Corrected automatic cdbs dependency version (python-distutils.mk)
    (closes: #373653, #373997)
  * Corrected error message (python-distutils.mk)
    (closes: #373653, #373873)

 -- Peter Eisentraut <petere@debian.org>  Fri, 16 Jun 2006 20:00:03 +0200

cdbs (0.4.41) unstable; urgency=low

  * Removed _cdbs_bootstrap variable
  * Propagate LDFLAGS (autotools-vars.mk, makefile-vars.mk)
  * Added qmake class (closes: #360589)
  * Honor DEB_PYTHON_COMPILE_VERSION when calling dh_python
    (python-distutils.mk) (closes: #369335)
  * Replaced most uses of := by = in makefiles.  This generally gives
    more reasonable behavior.
  * Added buildcore picture, and integrated it and depgraph into the
    documentation
  * Support for new Python policy (provided by Marc Dequènes)
    (python-distutils.mk) (closes: #373628)

 -- Peter Eisentraut <petere@debian.org>  Wed, 14 Jun 2006 19:30:43 +0200

cdbs (0.4.40) unstable; urgency=low

  * Acknowledge NMU (closes: #365085)
  * Added DEB_PYTHON_PACKAGES_EXCLUDE (python-distutils.mk)
    (closes: #365257)
  * cdbs-edit-patch: Avoid error message when creating new patch
  * Try patches at level 1 first, to avoid problems with patches that only
    create new files (simple-patchsys.mk) (closes: #365524)
  * Unset DEB_DBG_PACKAGE_ALL if some DEB_DBG_PACKAGE_pkg is set by user
    (debhelper.mk); test case in debhelper-6.sh
  * Set DEB_DBG_PACKAGE_pkg automatically if corresponding pkg exists
    (debhelper.mk) (closes: #365122); test case in debhelper-7.sh
  * Resurrected old documentation changelog
  * Fixed doc-base entries
  * Documented that directories with special characters are not supported
    (closes: #306941)
  * Corrected some typos in documentation (closes: #365457)

 -- Peter Eisentraut <petere@debian.org>  Mon, 29 May 2006 00:24:11 +0200

cdbs (0.4.39-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add a sequencing point to ensure all dh_makeshlibs are run before any
    dh_shlibdeps is (closes: #365085).

 -- Pierre Habouzit <madcoder@debian.org>  Fri,  5 May 2006 21:16:19 +0200

cdbs (0.4.39) unstable; urgency=low

  * Added definitions of DEB_HOST_ARCH_CPU and DEB_HOST_ARCH_OS
    (buildvars.mk)
  * Added definition of DEB_UPSTREAM_VERSION (buildvars.mk)
  * Remove *.pyc on clean (python-distutils.mk) (closes: #252134)
  * Remove *.omf.out from help directory (gnome.mk) (closes: #292374)
  * Moved dh_shlibdeps call to binary-predeb (debhelper.mk)
    (closes: #326926)
  * Rewrote various shell conditionals as make conditionals
    (closes: #222376)
  * Added 2.5 as possible Python version
  * Remove Python build directories for every used Python version
    separately (closes: #300149); enhanced test case distutils-3.sh to
    check this
  * Deal with rules files that set DH_COMPAT (closes: #362831)
  * Removed DEB_AUTO_CLEANUP_RCS feature; no one was using that correctly
    (tarball.mk)
  * Don't clean config.cache, config.log, config.status; the upstream
    package should do that (autotools.mk, autotools-files.mk)

 -- Peter Eisentraut <petere@debian.org>  Fri, 21 Apr 2006 15:06:39 +0200

cdbs (0.4.38) unstable; urgency=low

  * Added support for uuencoded patches (patch by Christopher Martin)
    (simple-patchsys.mk) (closes: #305857); test case in patchsys-1.sh
  * Enabled use of $(cdbs_python_ver) in all package-specific targets
    (patch by Tommi Virtanen) (python-distutils.mk) (closes: #295906);
    test case in distutils-3.sh
  * cdbs-edit-patch: Preserve comment in patch (closes: #332501)
  * Added .NOTPARALLEL target in buildcore.mk to allow parallel make to
    work (see comment there) (closes: #240981)
  * Added call to dh_installudev if available (debhelper.mk)
  * Clean target now reverses patches if some failed to apply
    (simple-patchsys.mk) (closes: #263168)
  * Added dpatch stamp file so dpatch apply-all is called only once per
    build (dpatch.mk) (closes: #318295)
  * Arranged dh_installinit call so that DEB_UPDATE_RCD_PARAMS is always
    quoted (debhelper.mk) (closes: #242831)
  * Run checks under build (not binary) target (ant.mk, makefile.mk);
    adjusted comments accordingly (buildcore.mk) (closes: #244692)
  * Enhanced debug package support, with support for multiple debug
    packages (debhelper.mk)
  * Merged changes from KDE team (kde.mk):
    - Support for tarball builds
    - Directories more flexible
    - Corrected and improved handling of debug and final options
    - More files excluded from compression
    - dh_makeshlibs does not use -V by default anymore
    - Support for building apidox
  * Fixed certain cases of Python distutils plus tarball installing in
    wrong directory (python-distutils.mk) (closes: #281055); test case
    in distutils-4.sh

 -- Peter Eisentraut <petere@debian.org>  Thu,  6 Apr 2006 22:10:35 +0200

cdbs (0.4.37) unstable; urgency=low

  * Merged all existing documentation, readmes, and examples into one
    coherent document
  * Dropped more-or-less redundant text and PostScript formatted
    documentation
  * Rewrote gen-dotty in Perl; ocaml dependency is gone
  * Process depgraph.dot using graphviz instead of springgraph for better
    looks and speed
  * Removed autogen.sh; it was nonfunctional (use autoreconf instead)
  * Document that rules that add commands should come after including
    CDBS makefiles (closes: #273835)
  * Added buildcore.mk dependency to hbuild.mk and python-distutils.mk
  * Use debhelper level 5 by default (debhelper.mk) (closes: #353820);
    test cases in debhelper-{4,5}.sh
  * Generate properly versioned build dependency on debhelper depending
    on level used (debhelper.mk) (closes: #345615)
  * Automatically add --dbg-package to dh_strip if one debug package is
    defined and debhelper level 5 is used (buildvars.mk, debhelper.mk)
    (closes: #228044); test case in debhelper-2.sh
  * Added call to dh_installcatalogs (debhelper.mk)
  * Call make as $(MAKE) (autotools.mk, makefile-vars.mk,
    perlmodule-vars.mk)
  * Added + to rules calling $(MAKE) indirectly, for correct interaction
    with parallel make (makefile.mk)
  * Automatically use --disable-dependency-tracking (autotools-vars.mk)
    (closes: #337487)
  * Added DEB_DH_SHLIBDEPS_ARGS_$(cdbs_curpkg) (debhelper.mk)
    (closes: #262757)
  * Don't use auto-update debian/control feature (closes: #339720)

 -- Peter Eisentraut <petere@debian.org>  Sat, 25 Mar 2006 00:27:15 +0100

cdbs (0.4.36) unstable; urgency=low

  * Conditionalized targets using make conditionals rather than shell
    tests (ant.mk, makefile.mk); fixes various quoting problems and is
    more elegant (closes: #262861, #285583, #320097)
  * Propagate CPPFLAGS to make (makefile-vars.mk)
  * Added ant test case, entails new build dependencies ant, kaffe
  * Check for java executable when checking the JAVA_HOME_DIRS (ant-vars.mk)
    (closes: #239123)
  * Added ant-launcher.jar to DEB_CLASSPATH (ant-vars.mk)
    (closes: #239128, #341275)
  * Set ANT_HOME to /usr/share/ant by default (ant-vars.mk)
    (closes: #212196)
  * Removed build dependency on ocaml-native-compilers; ocaml is enough
    (closes: #355504)

 -- Peter Eisentraut <petere@debian.org>  Mon,  6 Mar 2006 20:55:02 +0100

cdbs (0.4.35) unstable; urgency=low

  * Fixed build dependencies in hdparm test case (closes: #354361)
  * Removed special handling of udebs; use debhelper's built-in support
    now (debhelper.mk) (closes: #248654, #340299, #340866)
  * Raised implicit debhelper dependency to 4.2.0 for udeb support
    (debhelper.mk)
  * Don't conditionalize dh_installlogcheck anymore as it's included in
    debhelper 4.2.0 (debhelper.mk)
  * Added call to dh_installmime (debhelper.mk) (closes: #260173)
  * Removed erroneous references to nonexistent variable DEB_ANT_TEST_TARGET
    (closes: #307813)
  * Added support for dh_clean excludes with DEB_CLEAN_EXCLUDE
    (debhelper.mk) (closes: #314341)
  * Added debhelper test case for DEB_*_EXCLUDE functionality
  * Don't play unnecessary tricks with build-essential in the automatic
    dependencies (buildcore.mk, buildvars.mk) (closes: #316034)

 -- Peter Eisentraut <petere@debian.org>  Tue, 28 Feb 2006 12:17:35 +0100

cdbs (0.4.34) unstable; urgency=low

  * Removed old FSF address from copyright file
  * Removed spurious leftover confstatMD3O4Y directory
  * Only print "deprecated" warning if variable is actually changed from
    default (closes: #256079)
  * Corrected DEB_COMPRESS_EXCLUDE, DEB_FIXPERMS_EXCLUDE documentation
    (debhelper.mk) (closes: #260531)
  * Cosmetic change to make emacs font-lock happier (buildcore.mk)
    (closes: #317870)
  * Corrected typo in guide (closes: #348536)
  * Use elinks to build better-looking plain-text documentation
    (closes: #330707)
  * Properly (un)indented makefile comments so they don't appear in the
    output (closes: #311464)
  * Removed useless old changelogs
  * Renamed documentation files from .xhtml to .html
  * Integrated guide build better with Automake
  * Eliminated installation of .dbk files
  * Added man page for cdbs-edit-patch and accept --help (closes: #312736)
  * Added Suggests of devscripts (better fix for #327151)
  * Fixed testsuite so that it actually fails if there is an error
  * Added a python-* package to testsuite so the distutils tests actually
    do something; fixed Makefile.am so that they have a chance of being
    called

 -- Peter Eisentraut <petere@debian.org>  Fri, 17 Feb 2006 19:19:02 +0100

cdbs (0.4.33) unstable; urgency=low

  * Added myself to uploaders
  * Allow specifying a makefile (makefile-vars.mk) (closes: #282959)
  * Skip cleaning if DEB_MAKE_CLEAN_TARGET is unset (makefile.mk)
    (closes: #338625)
  * Add unpatch target for dpatch-edit-patch (dpatch.mk) (closes: #284231)
  * Remove debian/patched/ on clean (dpatch.mk) (closes: #285244)
  * Remove leading comma in Build-Depends line (buildcore.mk)
    (closes: #294537)
  * Propagate CPPFLAGS (autotools-vars.mk) (closes: #301667)
  * Recognize "changelog" as upstream changelog name (debhelper.mk)
    (closes: #311517)
  * cdbs-edit-patch: Use debian/rules clean instead of debclean
    (closes: #327151)
  * cdbs-edit-patch: Create debian/patches directory (closes: #344383)
  * Fix typo in documentation (closes: #260408)
  * Add missing parentheses in python-distutils.mk (closes: #281053)

 -- Peter Eisentraut <petere@debian.org>  Sat,  4 Feb 2006 00:07:53 +0100

cdbs (0.4.32) unstable; urgency=high

  * Forgot some build-deps (/me need some more sleep) (Closes: #317640).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Sun, 10 Jul 2005 17:41:45 +0200

cdbs (0.4.31) unstable; urgency=low

  * Added CDBS guide from DuckCorp.
  * Register guide into doc-base, and suggest it.
  * Added myself to Uploaders as i am officially in charge of
    documentation.
  * Updated 'debian/copyright'.
  * Increased Standards-Version (no changes needed).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue,  5 Jul 2005 21:49:38 +0200

cdbs (0.4.30) unstable; urgency=low

  * This time do it right.  (Closes: #301692)
    - 1/class/autotools-vars.mk.in

 -- Robert Millan <rmh@debian.org>  Mon, 23 May 2005 20:40:03 +0200

cdbs (0.4.29) unstable; urgency=low

  * The "back from vac" release.

  * Add DEB_PATCHES initialisation.  (Closes: #295250, #296763, #300465)
    - 1/rules/dpatch.mk.in
  * Don't call update-config after reverting patches.  (Closes: #299010)
    - 1/rules/simple-patchsys.mk.in
    - 1/rules/dpatch.mk.in
  * Make sure CDBS_BUILD_DEPENDS is _always_ initialised.  (Closes: #308664)
    - 1/rules/buildvars.mk.in: Initialise it with "build-essential".
    - 1/rules/buildcore.mk.in: Strip "build-essential" which isn't needed.
  * Fix minor syntax error in CDBS_BUILD_DEPENDS construction.
    - 1/class/autotools-vars.mk.in
  * Turn patchutils weak dependency into versioned (>= 0.2.25).
    (Closes: #308983)
    - 1/rules/simple-patchsys.mk.in
    - 1/rules/dpatch.mk.in
  * Fix for parsing of double quotes in control file generation.  This is
    related to #301607.  Thanks Jonas Smedegaard.
    - 1/rules/buildcore.mk.in
  * Clean *.log files from each dir listed in $(DEB_PATCHDIRS).  Thanks
    Adeodato Simo.  (Closes: #296984)
    - 1/rules/simple-patchsys.mk.in
  * Add perl-modules support to CDBS_BUILD_DEPENDS.  (Closes: #305488)
    - 1/class/perlmodule.mk.in
  * Add $(DEB_PYTHON_COMPILE_VERSION) to python command.  Thanks Bastian
    Kleineidam.  (Closes: #307342)
    - 1/class/python-distutils.mk.in
  * Fix typo in automake weak dependencies.  (Closes: #301692)
    - 1/class/autotools-vars.mk.in

 -- Robert Millan <rmh@debian.org>  Wed, 18 May 2005 12:52:21 +0200

cdbs (0.4.28-1) unstable; urgency=low

  * Merge changes from Ubuntu (0.4.26-1ubuntu1):

  Add cdbs-edit-patch script; similar to dpatch-edit-patch to edit an
  existing patch or create a new one. Does not yet work with tarball.mk,
  use dbs-edit-patch in this case for now.

  Thanks to Martin Pitt for the script!

 -- Jeff Bailey <jbailey@raspberryginger.com>  Wed, 20 Apr 2005 07:59:51 -0400

cdbs (0.4.27-4) unstable; urgency=low

  * 1/rules/buildcore.mk.in
    - Avoid recursive brainfuck with type-handling.  This actualy fixes
      #297269, but we leave it for t-h to close.
    - Don't parse tarballs a gazillon of times to find config.{guess,sub,rpath}
      One shall be enough!

 -- Robert Millan <rmh@debian.org>  Thu, 14 Apr 2005 18:36:04 +0200

cdbs (0.4.27-3) unstable; urgency=low

  * When updating config.* files, pass --remove-destination to cp.  Thanks Christian Aichinger.  (Closes: #297855)
    - 1/rules/buildcore.mk.in
    - 1/rules/tarball.mk.in

 -- Robert Millan <rmh@debian.org>  Thu, 10 Mar 2005 13:29:28 +0100

cdbs (0.4.27-2) unstable; urgency=low

  * Don't fail when dpkg-checkbuilddeps check fails.  (Closes: #295884)
    - 1/rules/buildcore.mk.in

 -- Robert Millan <rmh@debian.org>  Mon, 21 Feb 2005 15:14:42 +0100

cdbs (0.4.27-1) unstable; urgency=low

  * Patch from Loïc Minier to cope with simple-patchsys being included
    despite no patches existing.

 -- Jeff Bailey <jbailey@raspberryginger.com>  Thu, 17 Feb 2005 09:27:17 -0500

cdbs (0.4.26-4) unstable; urgency=low

  * Fix a nasty conflict between cdbs updating config.* files and patches
    attempting to modify them on their own.

    WARNING:  Other patch systems based on cdbs are susceptible to this
    problem and might need similar modifications to the ones done to
    simple-patchsys.mk.

    In buildcore.mk:
      - Move config.* updates to a separate update-config target.
      - Add reverse-config target that reverts update-config using *.cdbs-orig
      backups.
      - Make sure both update-config and reverse-config always keep a copy of
      the old file, and that such "old" file is in sync with the patch system.
      IOW, the "old" file can either be patched or unpatched and the patch
      system is responsible for tracking its state (just like for other files).
      - Add config.rpath to backup recovery routine.

    In simple-patchsys.mk:
      - Always invoke reverse-config before anything else, and update-config
        after appliing/reverting patches.
      - Add weak dependency on patchutils and use lsdiff to issue a big
        warning if a patch is updating config.* files.
      - Handle debian/stamp-patched properly so that both apply-patches and
        reverse-patches targets are idempotent.

    In dpatch.mk:
      - Always invoke reverse-config before anything else, and update-config
        after appliing/reverting patches.
      - Add weak dependency on patchutils and use lsdiff to issue a big
        warning if a patch is updating config.* files.
      - Assuming that dpatch itself is in charge of idempotency in the
        apply/reverse targets.
      - [OT]: add weak dependency on dpatch.

 -- Robert Millan <rmh@debian.org>  Tue,  8 Feb 2005 17:11:42 +0100

cdbs (0.4.26-3) unstable; urgency=low

  * Fix broken parsing of config.* filenames in $(config_all_tar).
  * Add sanity check to prevent bogus use of cpu/system variables.

 -- Robert Millan <rmh@debian.org>  Mon,  7 Feb 2005 17:18:41 +0100

cdbs (0.4.26-2) unstable; urgency=low

  * Add myself to Uploaders.
  * Conditionalise use of --with-alsa in arts.rules example (only used on
    linux-gnu).  (Closes: #293483)
  * Support embedding of shell commands in control.in.  (Closes: #276599)
  * For Cpu/System detection, also understand [cpu: foo] and [system: bar].

 -- Robert Millan <rmh@debian.org>  Sat,  5 Feb 2005 05:21:05 +0100

cdbs (0.4.26-1.3) unstable; urgency=low

  * NMU.
  * Optimise config.* auto-updating feature when working with tarballs.  In
    the previous upload, each tarball was uncompressed three times!
    - 1/rules/buildcore.mk.in

 -- Robert Millan <rmh@debian.org>  Fri,  4 Feb 2005 18:40:31 +0100

cdbs (0.4.26-1.2) unstable; urgency=low

  * NMU.
  * Improvements for updating config.* files. (Closes: #290940)
    - 1/class/autotools-files.mk.in
    - 1/rules/buildcore.mk.in
    - 1/rules/tarball.mk.in
  * Support for Cpu/System fields in control.in. (Closes: #293197)
    - debian/control.in
    - 1/rules/buildcore.mk.in
  * Handle (uncompressed) *.tar files. (Closes: #284101)
    - 1/rules/tarball.mk.in
  * Check for compressed debian/patches/* implicitly. (Closes: #249931)
    - 1/rules/simple-patchsys.mk.in
  * Track autothings in Build-Depends when generating debian/control.
    (Closes: #277672)
    - 1/class/autotools-vars.mk.in
    - 1/class/gnome.mk.in
    - control.in

 -- Robert Millan <rmh@debian.org>  Thu,  3 Feb 2005 10:05:18 +0100

cdbs (0.4.26-1.1) unstable; urgency=low

  * NMU (with Jeff's permission).
  * Add optional DEB_AUTO_CLEANUP_RCS feature to tarball.mk.in
    (Closes: #280365).

 -- Robert Millan <rmh@debian.org>  Mon, 17 Jan 2005 17:50:52 +0100

cdbs (0.4.26-1) unstable; urgency=low

  * Add support for Python 2.4.  Thanks to doko for the reminder.

 -- Jeff Bailey <jbailey@raspberryginger.com>  Mon, 20 Dec 2004 00:07:32 -0500

cdbs (0.4.25-1) unstable; urgency=low

  * Only run dh_desktop and dh_gconf if they're there.  For gnome
    packages that are transitioning slowly.

 -- Jeff Bailey <jbailey@raspberryginger.com>  Wed, 20 Oct 2004 10:34:51 -0400

cdbs (0.4.24-1) unstable; urgency=low

  This is the "Make MIME not suck for GNOME" release.

  * Call dh_desktop from gnome.mk.

 -- Jeff Bailey <jbailey@raspberryginger.com>  Wed, 13 Oct 2004 12:58:02 -0400

cdbs (0.4.23-1.1) unstable; urgency=low

  * NMU (on Jeff's request).
  * Set 0.4.23-1.1 as the minimal version that provides the DEB_AUTO_UPDATE\
    _DEBIAN_CONTROL feature introduced in 0.4.23-1.  (this prevents packages
    that use this feature from migrating to testing before cdbs itself)

 -- Robert Millan <rmh@debian.org>  Tue,  5 Oct 2004 01:30:47 +0200

cdbs (0.4.23-1) unstable; urgency=low

  * Thanks to Robert Millan for the NMU's!
    Acknowledging: (Closes: #235961, #268483, #265562, #266982, #267254)

  * Apply Robert's patch to generate config's from config.in.
    (Closes: #272758).  Further tweaked to honour debian/control as a 
    target, and to make sure that cdbs doesn't depend on cdbs.

  * Use this new feature in CDBS.

 -- Jeff Bailey <jbailey@raspberryginger.com>  Fri, 24 Sep 2004 13:34:28 -0400

cdbs (0.4.22-1.4) unstable; urgency=low

  * NMU.
  * Replace config.{guess,sub} with real files instead of symlinks.
    (Closes: #268483)

 -- Robert Millan <rmh@debian.org>  Sun,  5 Sep 2004 19:53:00 +0200

cdbs (0.4.22-1.3) unstable; urgency=low

  * The "Let's try to do it right this time" NMU.
  * Some packages define DEB_AUTO_UPDATE_* variables _after_ including cdbs
    makefiles.  See bug #262295 (last message) for an example.  This is a Bad
    Thing and breaks the compatibility blurb for DEB_AUTO_UPDATE_AUTOMAKE.
    I'm adding Yet Another One compatibility blurb in the actual target.

 -- Robert Millan <rmh@debian.org>  Fri, 27 Aug 2004 13:47:01 +0200

cdbs (0.4.22-1.2) unstable; urgency=low

  * NMU again to correct error introduced in -1.1.  Oops!
  * Always invoke aclocal with _ACLOCAL suffix, not _AUTOMAKE suffix.

 -- Robert Millan <rmh@debian.org>  Fri, 27 Aug 2004 03:22:22 +0200

cdbs (0.4.22-1.1) unstable; urgency=low

  * NMU (with Jeff's permission).
  * Multiple fixes/improvements to DEB_AUTO_UPDATE_* interface.
    (Closes: #265562)
    - Recognise _ACLOCAL, and deprecate _AUTOMAKE for aclocal updates.
    - Be smarter when looking for autoconf 2.50 or 2.13 command.
    - Recognise _AUTOHEADER.
    - Move "_LIBTOOL = post" case to autotools.mk, where it belongs.
    - Improve config.{guess,sub} replacement code to crawl into the source
      directory replacing every instance.  In addition, use symlinks instead
      of copying, which is faster.
  * Add warnings when DEB_AUTO_UPDATE_* variables are used unconsistently.
    These should become errors after the release. (Closes: #267254)
  * Fix DEB_AUTO_UPDATE_ACLOCAL (formerly &_AUTOMAKE) invocation of m4.
    Thanks Andreas Rottmann.  (Closes: #235961)
  * Implement DEB_VERBOSE_ALL option.  (Closes: #266982)

 -- Robert Millan <rmh@debian.org>  Fri, 27 Aug 2004 02:34:00 +0200

cdbs (0.4.22-1) unstable; urgency=low

  This is the "What?  You want a those bugs FIXED?" release.

  * Jeff Bailey <jbailey@raspberryginger.com>

    - Acknowledge NMU (Closes: #241504), Thanks Brian!

    - Only call dh_link the second time.  (Closes: #224123)
    - Make sure the source package is free of cruft. (Closes: #234100)
    - Call dh_gconf with the right args. (Closes: #234398)
    - Don't know why the docs went away, but they're back.
      (Closes: #2359971)
    - Support DEB_DH_LINK_$(cdbs_curpkg).  (Closes: #242088)

    - Documentation patches, by Michael Wiedmann <mw@miwie.in-berlin.de>
      Thanks!  (Closes: #243356)

    - Work around packages that don't provide trailing /'s where they
      ought to.  Patch by Martin Quinson <Martin.Quinson@tuxfamily.org>
      Thanks!  (Closes: #254125)

    - Fix build env so that make clean and make all aren't overridden,
      just chained to.  (Use -local, not -am).

    - Update my email address.

 -- Jeff Bailey <jbailey@raspberryginger.com>  Fri,  6 Aug 2004 21:48:10 -0400

cdbs (0.4.21-0.1) unstable; urgency=low

  * Non-maintainer upload
  * Ran 'autoreconf -f -i' to fix the build system so that dpatch.mk is
    actually included in the package (Closes: #241504)

 -- Brian Nelson <pyro@debian.org>  Tue, 27 Apr 2004 16:12:15 -0700

cdbs (0.4.21) unstable; urgency=low

  * David B Harris <david@eelf.ddts.net>:
    - Add wrapper for dpatch patch system, "dpatch.mk". Must be included after
      "autotools.mk" if the latter is used. Please see dpatch documentation
      for more information, as this wrapper just calls dpatch(1) to do all the
      heavy lifting.

 -- Colin Walters <walters@debian.org>  Mon, 23 Feb 2004 03:22:31 +0000

cdbs (0.4.20) unstable; urgency=low

  * Andres Salomon <dilinger@voxel.net>:
    - New variable DEB_NOEPOCH_VERSION.
    - Use it in debhelper.mk to avoid putting epoch in udeb versions
      (Closes: #232809)

 -- Colin Walters <walters@debian.org>  Sun, 15 Feb 2004 06:16:06 +0000

cdbs (0.4.19) unstable; urgency=low

  * Colin Walters <walters@verbum.org>:
    - Make docbookxml.mk a noop now that catalogs work in sid.

 -- Colin Walters <walters@debian.org>  Wed, 11 Feb 2004 12:59:20 -0500
	
cdbs (0.4.18) unstable; urgency=low

  * Andres Salomon <dilinger@voxel.net>:
    - New variable DEB_DH_ALWAYS_EXCLUDE.
    - Don't generate maintainer scripts for udebs (Closes: #216148)

 -- Colin Walters <walters@debian.org>  Tue, 20 Jan 2004 13:51:20 -0500
	
cdbs (0.4.17) unstable; urgency=low

  * Colin Walters <walters@debian.org>:
    - Add quotes around other DEB_PATCHDIRS_READONLY reference (#227936)
    - Add dh_gconf call to debhelper.mk. 
    - Allow setting DEB_UDEB_PACKAGES before including any rules.

 -- Colin Walters <walters@debian.org>  Tue, 20 Jan 2004 13:51:20 -0500

cdbs (0.4.16) unstable; urgency=low

  * Colin Walters <walters@debian.org>:
    - Move dh_shlibdeps back into binary-makedeb, so that it happens after
      all packages are installed (Closes: #225441)

 -- Colin Walters <walters@debian.org>  Tue, 13 Jan 2004 17:26:22 +0000

cdbs (0.4.15) unstable; urgency=low

  * Colin Walters <walters@debian.org>:
    - Don't lose if DEB_PATCHDIRS_READONLY isn't defined (Closes: #225872)
    - Apply patch from Robert Millan to add some variables like
      DEB_HOST_GNU_TYPE to buildvars.mk.in (Closes: #218862)
    - Apply patch from Robert Millan to add variables for automatically
      rerunning the autotools: DEB_AUTO_UPDATE_LIBTOOL, DEB_AUTO_UPDATE_AUTOMAKE,
      and DEB_AUTO_UPDATE_AUTOCONF.  Beware that these do not have corresponding
      reverse actions in the clean rule.  If you want to avoid your diff being
      bloated, you'll have to use a separate build dir.  (Closes: #217131).

 -- Colin Walters <walters@debian.org>  Wed,  7 Jan 2004 19:18:10 +0000

cdbs (0.4.14) unstable; urgency=low

  * Colin Walters <walters@debian.org>:
    - Apply patch from Nathaniel W. Turner to fix kde.mk's use of
      DEB_BUILDDIR (Closes: #206941).
    - Apply patch from Guillem Jover to make DPATCHLEVEL in
      simple-patchsys.mk actually work (Closes: #220562).
    - Apply patch from Robert Millan to simple-patchsys.mk (Closes: #219132)
      - add DEB_PATCH_SUFFIX variable, to override patch suffix (.patch, .gz, etc)
      - permit overriding DEB_PATCHDIRS variable
      - support for compressed patches (detects .gz|.bz2 and issues proper command)
      - add DEB_PATCHDIRS_READONLY variable. when set to "yes", it will avoid
        writing log files in the patch directory.
    - Actually set CDBS_VERSION (Closes: #223707)
    - Move dh_installdeb, dh_perl, and dh_shlibdeps into the binary-predeb:: hook.
      This way one can hook stuff after the various postinsts and stuff have been
      created in DEBIAN/.  (Closes: #215066).

 -- walters <walters@debian.org>  Mon, 15 Dec 2003 04:50:25 +0000

cdbs (0.4.13) unstable; urgency=low

  * Colin Walters <walters@debian.org>:
    - Build-Depend on docbook-xsl (Closes: #215055).
    - Add configure-time checks for docbook bits and don't build
      the docs if they're not available.
    - Sync up with debhelper's architecture regexp (Closes: #215961)

 -- Colin Walters <walters@debian.org>  Wed, 15 Oct 2003 23:17:01 -0400

cdbs (0.4.12) unstable; urgency=low

  * Colin Walters <walters@debian.org>:
    - Fix is_debug_package logic (Closes: #214327, #214316)

 -- Colin Walters <walters@debian.org>  Mon,  6 Oct 2003 08:48:58 -0400

cdbs (0.4.11) unstable; urgency=low

  * Colin Walters <walters@debian.org>:
    - Don't run dh_makeshlibs and dh_strip for packages ending in -dbg.
    - Don't run dh_installlogcheck if it's not available (Closes: #214271).
    - Add note about debhelper versioning in main docs.

 -- Colin Walters <walters@debian.org>  Sun,  5 Oct 2003 20:47:57 -0400

cdbs (0.4.10) unstable; urgency=low

  * Colin Walters <walters@debian.org>:
    - Add DocBook-ized documentation from debacle <debacle@knorke.in-berlin.de>.
    - Use = instead of := to set DEB_MAKE_INVOKE in autotools.mk; this
      solves a problem with DEB_MAKE_ENVVARS not being used (Closes: #214268).

 -- Colin Walters <walters@debian.org>  Thu,  2 Oct 2003 09:46:11 -0400

cdbs (0.4.9) unstable; urgency=low

  * Colin Walters <walters@debian.org>:
    - Don't pass CFLAGS and CXXFLAGS on the make commandline if we've
      already passed them to ./configure.
    - scripts/list-packages: Only build against architectures matching
      the requested arch exactly.
  * Jeff Bailey <jbailey@debian.org>:
    - make python-distutils honour $(DEB_INSTALL_PYTHON_ALL) and
    $(DEB_INSTALL_PYTHON_$(cdbs_curpkg)).

 -- Colin Walters <walters@debian.org>  Mon, 15 Sep 2003 20:11:06 -0400

cdbs (0.4.8) unstable; urgency=low

  * Stefan Gybas <sgybas@debian.org>:
    - Fixed ignored DEB_ANT_PROPERTYFILE in the Ant class
    - Renamed ANT_OPTS to ANT_ARGS to match Ant's wrapper script and
      documentation
    - Added an example for the Ant class and improved its documentation

 -- Stefan Gybas <sgybas@debian.org>  Wed, 10 Sep 2003 13:21:26 +0200
  
cdbs (0.4.7) unstable; urgency=low

  * Colin Walters <walters@debian.org>:
    - Remove Conflicts: autoconf2.13.  Users of autotools.mk should
      just be aware of the issue.

 -- Colin Walters <walters@debian.org>  Tue,  9 Sep 2003 13:47:20 -0400

cdbs (0.4.6) unstable; urgency=low

  * Colin Walters <walters@debian.org>:
    - More documentation for tarball.mk (Closes: #206941)
    - New variable DEB_UPDATE_RCD_PARAMS_package (Closes: #206955)
    - Add DEB_PYTHON_COMPILE_VERSION to python-distutils.mk
      (Closes: #204843)
    - Call dh_installlogcheck by default (Closes: #202091)
  * Joerg Wendland <joergland@debian.org>
    - Call dh_installlogrotate by default (Closes: #207625)

 -- Colin Walters <walters@debian.org>  Sun, 31 Aug 2003 00:48:56 -0400

cdbs (0.4.5.5) unstable; urgency=low

  * Colin Walters <walters@debian.org>:
    - simple-patchsys.mk: Use DEB_SRCDIR instead of DEB_BUILDDIR
      for applying patches.
    - buildcore.mk: Don't run common-blah rules at entrypoints
      like binary-arch and binary-indep.  They can actually
      have side effects, which isn't what we want if the
      package really doesn't have any indep or arch packages
      (Closes: #207981).

 -- Colin Walters <walters@debian.org>  Sun, 31 Aug 2003 00:41:27 -0400

cdbs (0.4.5.4) unstable; urgency=low

  * Colin Walters <walters@debian.org>:
    - test/udeb1.sh: New udeb test.
    - New variables DEB_ARCH_REGULAR_PACKAGES and DEB_INDEP_REGULAR_PACKAGES.
    - Fix udeb creation rules.
  * Jonas Smedegaard <dr@jones.dk>
    - Fix DEB_MAKEMAKER_PACKAGE resolving for Perl modules. This closes:
      bug#5361 thanks to Dagfinn Ilmari Mannsaker <ilmari@ilmari.org>
      (although intended behaviour was fixed instead of using his proposed
      patch).

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 24 Aug 2003 14:47:38 +0200
  
cdbs (0.4.5.3) unstable; urgency=low

  * Jeff Bailey <jbailey@nisa.net>:
    - Make debhelper.mk.in defaults respect $(DEB_SRCDIR) for looking for
      AUTHORS, README, ChangeLog, and other such files.
    - debhelper.mk now installs THANKS if found.
  * Stefan Gybas <sgybas@debian.org>:
    - Added Ant class for Java packages (Closes: #206408)
    - Fixed prerequisites of common-install-arch and common-install-indep in
      buildcore.mk
  * Colin Walters <walters@debian.org>:
    - Add Stefan Gybas to AUTHORS.

 -- Jeff Bailey <jbailey@nisa.net>  Tue, 19 Aug 2003 01:03:46 -0400

cdbs (0.4.5.2) unstable; urgency=low

  * Colin Walters <walters@debian.org>:
    - Have binary-arch and binary-indep depend on common-binary-arch
      and common-binary-indep, not just common-binary (Closes: #203985).
    - Use a stamp file for building in makefile.mk (Closes: #203271).

 -- Colin Walters <walters@debian.org>  Sun, 10 Aug 2003 18:45:33 -0400

cdbs (0.4.5.1) unstable; urgency=low

  * Colin Walters <walters@debian.org>:
    - Fix silly error in gnome.mk (Closes: #203974).

 -- Colin Walters <walters@debian.org>  Sun,  3 Aug 2003 11:49:11 -0400

cdbs (0.4.5) unstable; urgency=low

  * Colin Walters <walters@debian.org>:
    - Just run /usr/bin/python if this doesn't appear to be a
      multi-Python-version package (Closes: #199229).
    - Implement deprecated variables.
    - Start on multi-build stuff.
    - Don't define DEB_MAKE_CHECK_TARGET by default
      (Closes: #203704, #203703, #203610).
    - Quote id -u output (Closes: #203391).
    - Pass variables like CC and CFLAGS to configure (Closes: #202387).
  * Jonas Smedegaard <dr@jones.dk>:
    - Build-conflict with autoconf older than 2.54 (test 2 and 5 fails
      if autoconf installed but too old).
    - Only provide --host to configure if different from --build, as
      recommended by autotools-dev README.Debian.
    - Conflict with autoconf2.13 for now (it needs different workarounds
      and I don't know of a safe way to distinguish between them).
    - Install Perl modules into first package by default (instead of tmp
      when there's more than one package).
    - Tweak buildcore.mk and makefile.mk to allow patching makefile and
      do reverse-patching after other clean rules.

 -- Colin Walters <walters@debian.org>  Fri,  1 Aug 2003 15:59:41 -0400

cdbs (0.4.4) unstable; urgency=low

  * Colin Walters <walters@debian.org>:
    - Major refactoring to buildcore.mk and debhelper.mk to fully support
      an arch/indep split.  Now there are -arch and -indep variants of
      most rules, such as common-build.  Please use those
      (or the package-specific rule) if at all possible.  The other variants
      are deprecated.  If you do the same thing for both -arch and -indep
      builds, please see how e.g. autotools.mk implements this.
    - All variables are now set using = or := instead of ?=.  The latter
      encouraged people to set variables before including the makefiles,
      which is wrong.  In almost all cases, you should be setting the
      variables *after* including the makefiles.
    - debhelper.mk now calls dh_installemacsen (Closes: #197935).
    - debhelper.mk now has many more variables of the form DEB_DH_*_ARGS.
    - gnome.mk now calls dh_scrollkeeper if debhelper is used.
    - Split out vars from makefile.mk into makefile-vars.mk.
  * Jeff Bailey <jbailey@debian.org>
    - Various bug fixes
  * Jonas Smedegaard <dr@jones.dk>
    - Update perlmodule.mk to be in sync with makefile.mk.
    - python-distutils.mk now also handles simpler non-versioned python
      packages.
    - Various small tweaks to perlmodule.mk and python-distutils.mk.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 24 Jun 2003 16:54:55 +0200
  
cdbs (0.4.3.1) unstable; urgency=low

  * Colin Walters <walters@debian.org>:
    - Revert previous changes to the 'build' target; build now is again
      hardcoded to just depend on build-arch and build-indep.  This is
      in line with policy, §7.6.
    - Detect python in configure.ac.
    - Add Build-Depends on python-dev (Closes: #197436).
    - Change Maintainer: to <build-common-hackers@lists.alioth.debian.org>.
    - Use $(DEB_DESTDIR) to reference config.status in autotools.mk
      (Closes: #197477).

 -- Colin Walters <walters@debian.org>  Sun, 15 Jun 2003 13:42:55 -0400

cdbs (0.4.3) unstable; urgency=low

  * Colin Walters <walters@debian.org>:
    - Make 'build' target by default depend on nothing.
      Add DEB_BUILD_TARGET_DEPENDS variable.
    - Remove obsolete test:: target.
    - Add new common-post-build:: target.  This is used by
      makefile.mk to run checks, using the
      DEB_MAKE_CHECK_TARGET variable.   By default this is
      unset; however, autotools.mk sets it to 'check'.  This
      means check is run by default for autotools.mk using
      packages.  To avoid running the checks, set
      DEB_BUILD_OPTIONS=nocheck.
  * Jeff Bailey <jbailey@debian.org>:
    - Various bug fixes and testsuite tweaks.
    - tarball builds now support bzip, bzip2, and zip
    - Can now override which tarballs are unpacked by setting
      DEB_TARBALL

 -- Jeff Bailey <jbailey@debian.org>  Thu, 12 Jun 2003 15:29:31 -0400

cdbs (0.4.2) unstable; urgency=low

  * Colin Walters <walters@debian.org>:
    - debhelper.mk now includes a number of common-binary- rules,
      which is handy for hooking on generic stuff not necessarily
      specific to a package.  It now also includes some more
      documentation for the rules.
    - docbookxml.mk now does its changes in pre-build so it's
      actually useful.  Sigh.
    - debhelper.mk now uses test -s to see if documentation files
      have nonzero size before including them (Closes: #197008).
    - examples/python-logging.rules is now actually included.

 -- Colin Walters <walters@debian.org>  Sat,  7 Jun 2003 17:22:34 -0400

cdbs (0.4.0.1) unstable; urgency=low

  The "Jordi Mallach is watching me" release.

  * Jeff Bailey <jbailey@debian.org>:
    - Add copyright heads to my files.
    - Added regression test suite.  Not called by default.
    - tarball.mk officially here now.  It appears to work.
  * Colin Walters <walters@debian.org>:
    - Add copyright headers to most files.
    - Remove direct dependency by autotools.mk on autotools-vars.mk;
      this makes the depgraph look nicer and it doesn't hurt anything.
    - python-distutils.mk actually works now.
    - New: examples/python-logging.rules.
    - Minor cleanups to examples/libgd-graph-perl.rules.
    - Fix --update-rcd-params parameter passed to dh_installinit
      (Closes: #196500).

 -- Colin Walters <walters@debian.org>  Sat,  7 Jun 2003 13:52:44 -0400

cdbs (0.4.0) unstable; urgency=low

  * Colin Walters <walters@debian.org>:
    - Package is now Debian-native.
    - A dependency graph is now included.
    - langcore.mk now correctly includes buildcore.mk.
    - docbookxml.mk now really fixes Docbook files (Closes: #196215)
    - gnome.mk includes docbookxml.mk after autotools.mk, to ensure
      the docbook fixes run after build.
    - simple-patchsys.mk now removes empty files using patch's -E option.
    - debhelper.mk implements DEB_UPDATE_RCD_PARAMS (Closes: #196385)
  * Jeff Bailey <jbailey@debian.org>
    - Support has been added for builddir != srcdir builds.  To use this
      define DEB_BUILDDIR and (optionally) DEB_SRCDIR (Closes: #194539).

 -- Colin Walters <walters@debian.org>  Thu,  5 Jun 2003 14:02:24 -0400

cdbs (0.2.12-1) unstable; urgency=low

  * New upstream release.

 -- Colin Walters <walters@debian.org>  Sun,  1 Jun 2003 13:38:59 -0400

cdbs (0.2.11-1) unstable; urgency=low

  * New upstream release

 -- Colin Walters <walters@debian.org>  Thu, 29 May 2003 15:33:32 -0400

cdbs (0.2.10-1) unstable; urgency=low

  * New upstream release.
    - Correctly sets default value of DEB_AC_AUX_DIR to $(CURDIR)
      instead of $(pwd).  (Closes: #195188).
  * debian/control:
    - Bump Build-Depends on debhelper to 4.1.0.

 -- Colin Walters <walters@debian.org>  Thu, 29 May 2003 03:01:24 -0400

cdbs (0.2.9-1) unstable; urgency=low

  * New upstream release.
  * debian/rules:
    - Minor cleanups.

 -- Colin Walters <walters@debian.org>  Wed, 28 May 2003 21:57:53 -0400

cdbs (0.2.8-1) unstable; urgency=low

  * New upstream release.

 -- Colin Walters <walters@debian.org>  Mon, 26 May 2003 16:17:48 -0400

cdbs (0.2.7-1) unstable; urgency=low

  * New upstream release.

 -- Colin Walters <walters@debian.org>  Mon, 26 May 2003 02:41:14 -0400

cdbs (0.2.6-1) unstable; urgency=low

  * New upstream release.

 -- Colin Walters <walters@debian.org>  Sun, 25 May 2003 14:15:09 -0400

cdbs (0.2.5-1) unstable; urgency=low

  * New upstream release.

 -- Colin Walters <walters@debian.org>  Sun, 25 May 2003 04:25:45 -0400

cdbs (0.2.4-1) unstable; urgency=low

  * New upstream release.

 -- Colin Walters <walters@debian.org>  Sat, 24 May 2003 02:56:40 -0400

cdbs (0.2.3-1) unstable; urgency=low

  * The "Department Of Homeland Security Deputizes Real Mean Dog" release.
  * New upstream release.
    - Uses = instead of == in tests (Closes: #194046).
  * debian/control:
    - Bump Standards-Version to 3.5.10, no changes required.

 -- Colin Walters <walters@debian.org>  Tue, 20 May 2003 13:37:59 -0400

cdbs (0.2.2-1) unstable; urgency=low

  * The "Take This Job And Love It" release.
  * New upstream release.

 -- Colin Walters <walters@debian.org>  Tue, 20 May 2003 04:19:00 -0400

cdbs (0.2.1-1) unstable; urgency=low

  * Initial version (Closes: #188049).

 -- Colin Walters <walters@debian.org>  Mon, 12 May 2003 17:23:20 -0400
